import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Bctdor{
    constructor () {
        this.data = {
						swtdat:"",
						bcdgrp:{
							rec:{
								inr:"",
								ownref:"",			//  Collection Number		.bcdgrp.rec.ownref
								nam:"",			//  Name		.bcdgrp.rec.nam
								rcvdat:"",			//  Docs Received on		.bcdgrp.rec.rcvdat
								advdat:"",			//  Date of Advice of Documents Received		.bcdgrp.rec.advdat
								matdat:"",			//  Maturity Date		.bcdgrp.rec.matdat
								predat:"",			//  Maturity Date		.bcdgrp.rec.predat
								doctypcod:"",			//  Payment Condition		.bcdgrp.rec.doctypcod
								docsta:"",			//  Document Set Status		.bcdgrp.rec.docsta
								chato:"",			//  Our Charges to		.bcdgrp.rec.chato
								focflg:"",			//  Free of Payment		.bcdgrp.rec.focflg
								waicolcod:"",			//  Waive Collecting Bank Charges		.bcdgrp.rec.waicolcod
								wairmtcod:"",			//  Waive Remitting Bank Charges		.bcdgrp.rec.wairmtcod
								othins:"",			//  Defer Payment until		.bcdgrp.rec.othins
								stagod:"",			//  Good's Code (for Statistics)		.bcdgrp.rec.stagod
								proins:"",			//  Protest Instructions		.bcdgrp.rec.proins
								agtdat:"",			//  Agent's Invoice Dated Tag 43C		.bcdgrp.rec.agtdat
								relgodflg:"",			//  Release of Goods		.bcdgrp.rec.relgodflg
								reltyp:"",			//  Release Type		.bcdgrp.rec.reltyp
								relgoddat:"",			//  Release Date		.bcdgrp.rec.relgoddat
								expdat:"",			//  Expiry Date of Shipping Guarantee		.bcdgrp.rec.expdat
								trpdoctyp:"",			//  Transport Doc. Type		.bcdgrp.rec.trpdoctyp
								trpdocnum:"",			//  Transport Doc. Ref.		.bcdgrp.rec.trpdocnum
								tradat:"",			//  Document Dated		.bcdgrp.rec.tradat
								tramod:"",			//  Mode of Transport		.bcdgrp.rec.tramod
								shpfro:"",			//  Shipment from		.bcdgrp.rec.shpfro
								shpto:"",			//  Shipment to		.bcdgrp.rec.shpto
								rtodreflg:"",			//  Release to Drawee Flag		.bcdgrp.rec.rtodreflg
							},
							cbs:{
								max:{
									cur:"",			//  Document Amount		.bcdgrp.cbs.max.cur
									amt:"",			//  Document Amount		.bcdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.bcdgrp.cbs.opn1.cur
									amt:"",			//  Open Amount		.bcdgrp.cbs.opn1.amt
								},
							},
							dre:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.dre.namelc
								adrelc:"",			//  地址		.bcdgrp.dre.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.dre.dbfadrblkcn
							},
							rmi:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.rmi.namelc
								adrelc:"",			//  地址		.bcdgrp.rmi.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.rmi.dbfadrblkcn
							},
							drr:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.drr.namelc
								adrelc:"",			//  地址		.bcdgrp.drr.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.drr.dbfadrblkcn
							},
							blk:{
								docpre:"",
								resrej:"",			//  Reason 		.bcdgrp.blk.resrej
								colins:"",			//  Collection Instructions		.bcdgrp.blk.colins
								dftins:"",			//  Draft Instructions		.bcdgrp.blk.dftins
								othins:"",			//  Other Instructions		.bcdgrp.blk.othins
								chgtxt:"",			//  Charges Text		.bcdgrp.blk.chgtxt
								bctfre:"",			//  Free Text Tag 42J		.bcdgrp.blk.bctfre
								docpre:"",			//  Presented Documents		.bcdgrp.blk.docpre
								intins:"",			//  Interest Instructions		.bcdgrp.blk.intins
								agtaut:"",			//  Authority of Agent		.bcdgrp.blk.agtaut
								agtinf:"",			//  Further Information		.bcdgrp.blk.agtinf
								vesselnam:"",			//  Vessel Name		.bcdgrp.blk.vesselnam
								covgod:"",			//  Covered Goods		.bcdgrp.blk.covgod
								reladr:"",			//  Release to Address		.bcdgrp.blk.reladr
							},
							agt:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.agt.namelc
								adrelc:"",			//  地址		.bcdgrp.agt.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.agt.dbfadrblkcn
							},
							agb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.agb.namelc
								adrelc:"",			//  地址		.bcdgrp.agb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.agb.dbfadrblkcn
							},
							rog:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.rog.namelc
								adrelc:"",			//  地址		.bcdgrp.rog.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.rog.dbfadrblkcn
							},
							co2:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.co2.namelc
								adrelc:"",			//  地址		.bcdgrp.co2.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.co2.dbfadrblkcn
							},
						},
						bctp:{
							docgrdm:{
								docdsclab:"",			//  Label of document description		.bctp.docgrdm.docdsclab
								docgrd:[],				
							},
							recget:{
								sdamod:{
									seainf:"",			//  		.bctp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bctp.recget.sdamod.dadsnd
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.bctp.matp.mattxtlab
							},
							agtp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bctp.agtp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bctp.agtp.ptsget.sdamod.dadsnd
									},
								},
							},
							agbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bctp.agbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bctp.agbp.ptsget.sdamod.dadsnd
									},
								},
							},
							rogp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bctp.rogp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bctp.rogp.ptsget.sdamod.dadsnd
									},
								},
							},
							drep:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bctp.drep.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bctp.drep.ptsget.sdamod.dadsnd
									},
								},
							},
							co2p:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bctp.co2p.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bctp.co2p.ptsget.sdamod.dadsnd
									},
								},
							},
							rmip:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bctp.rmip.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bctp.rmip.ptsget.sdamod.dadsnd
									},
								},
							},
							drrp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bctp.drrp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bctp.drrp.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						rejtypsel:"",			//  Select Rejection Type		.rejtypsel
						advtyp:"",			//  SWIFT Advice Type		.advtyp
						mtabut:new Pub().data.Mtabut,
						setmod:new Pub().data.Setmod,
						liaall:new Pub().data.Liaall,
						trnmod:new Pub().data.Trnmod,
						pageId: ""			// ctx的key
				}
    }
}