export default {
    "betp.ledget.sdamod.dadsnd": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "ledgrp.rec.ownref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "betp.ledget.sdamod.seainf": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],
    "ledgrp.cbs.opn1.cur": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],
    "ledgrp.cbs.opn1.amt": [
        { type: "string", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "betp.recget.sdamod.dadsnd": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "bedgrp.rec.ownref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "betp.recget.sdamod.seainf": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],
    "bedgrp.rec.nam": [
        { type: "string", required: false, message: "必输项" },
        { max: 40, message: "长度不能超过40" }
    ],

    "bedgrp.cbs.max.amt": [
        { type: "string", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "bedgrp.prb.pts.ref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],

    "bedgrp.cbs.opn1.cur": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],
    "bedgrp.cbs.opn1.amt": [
        { type: "number", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "bedgrp.prb.pts.nam": [
        { type: "string", required: false, message: "必输项" },
        { max: 40, message: "长度不能超过40" }
    ],
    "bedgrp.iss.pts.ref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],

    "bedgrp.iss.pts.nam": [
        { type: "string", required: false, message: "必输项" },
        { max: 40, message: "长度不能超过40" }
    ],
    "bedgrp.rec.matdat": [
        { type: "date", required: false, message: "输入正确的日期" }
    ],
    "bedgrp.rec.rcvdat": [
        { type: "date", required: false, message: "输入正确的日期" }
    ],
    "bedgrp.rec.predat": [
        { type: "date", required: false, message: "输入正确的日期" }
    ],
    "bedgrp.apl.pts.ref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "bedgrp.rec.docsta": [
        { type: "string", required: false, message: "必输项" },
        { max: 40, message: "长度不能超过40" }
    ],
    "bedgrp.apl.pts.nam": [
        { type: "string", required: false, message: "必输项" },
        { max: 40, message: "长度不能超过40" }
    ],

    "liaall.tenstm": [
        { type: "string", required: false, message: "必输项" },
        { max: 1, message: "长度不能超过1" }
    ],

    "aamset.utlamt": [
        { type: "string", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "aamset.utlamt2": [
        { type: "string", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],

    "payinstxt": [
        { type: "string", required: true, message: "必输项" },
        { max: 65, message: "长度不能超过65" }
    ],
    "bedgrp.rec.lescom": [
        { type: "string", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "trnmod.trndoc.nar754": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],
    "liaall.outamt": [
        { type: "number", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "liaall.outpct": [
        { type: "string", required: false, message: "必输项" },
        { max: 6, message: "长度不能超过6" }
    ],
    "liaall.concur": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],
    "liaall.misamt": [
        { type: "number", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],


    "liaall.exttotoldamt": [
        { type: "number", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "liaall.exttotamt": [
        { type: "number", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],

    "trnmod.trndoc.advnam": [
        { type: "string", required: false, message: "必输项" },
        { max: 50, message: "长度不能超过50" }
    ],
    "trnmod.trndoc.amdapl": [
        { type: "string", required: true, message: "必输项" },
        { max: 50, message: "长度不能超过50" }
    ],

    "trnmod.trndoc.advdoc": [
        { type: "string", required: false, message: "必输项" },
        { max: 1, message: "长度不能超过1" }
    ],
    "trnmod.trndoc.filrecv": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "trnmod.trndoc.doctrestm": [
        { type: "string", required: false, message: "必输项" },
        { max: 1, message: "长度不能超过1" }
    ],









    "trnmod.trndoc.condocstm": [
        { type: "string", required: false, message: "必输项" },
        { max: 1, message: "长度不能超过1" }
    ],
    "trnmod.trndoc.rcvatt.seainf": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],

    "mtabut.coninf.oitinf.oit.inftxt": [
        { type: "string", required: true, message: "必输项" },
        { max: 60, message: "长度不能超过60" }
    ],


    "mtabut.coninf.oitset.oit.inftxt": [
        { type: "string", required: true, message: "必输项" },
        { max: 60, message: "长度不能超过60" }
    ],

    "mtabut.coninf.conexedat": [
        { type: "date", required: false, message: "输入正确的日期" }
    ],
    "mtabut.coninf.usr.extkey": [
        { type: "string", required: false, message: "必输项" },
        { max: 8, message: "长度不能超过8" }
    ],

    "rmbclm.rmbrmb.pts.ref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "rmbclm.rmbp.ptsget.sdamod.dadsnd": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "rmbclm.rmbrmb.pts.extkey": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "rmbclm.rmbp.ptsget.sdamod.seainf": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],

    "rmbclm.rmbrmb.namelc": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],
    "rmbclm.rmbrmb.pts.adrblk": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],
    "rmbclm.rmbrmb.dbfadrblkcn": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],
    "rmbclm.rmbrmb.adrelc": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],
    "rmbclm.acwacw.pts.ref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "rmbclm.acwp.ptsget.sdamod.dadsnd": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "rmbclm.acwacw.pts.extkey": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "rmbclm.acwp.ptsget.sdamod.seainf": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],

    "rmbclm.acwacw.namelc": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],
    "rmbclm.acwacw.pts.adrblk": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],
    "rmbclm.acwacw.dbfadrblkcn": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],
    "rmbclm.acwacw.adrelc": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],
    "rmbclm.bebbeb.pts.ref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "rmbclm.bebp.ptsget.sdamod.dadsnd": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "rmbclm.bebbeb.pts.extkey": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "rmbclm.bebp.ptsget.sdamod.seainf": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],

    "rmbclm.bebbeb.namelc": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],
    "rmbclm.bebbeb.pts.adrblk": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],
    "rmbclm.bebbeb.dbfadrblkcn": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],
    "rmbclm.bebbeb.adrelc": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],
    "rmbclm.valdat": [
        { type: "date", required: false, message: "输入正确的日期" }
    ],
    "liaall.limmod.ecifno": [
        { type: "string", required: false, message: "必输项" },
        { max: 22, message: "长度不能超过22" }
    ],



    "liaall.limmod.ownref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "liaall.limmod.wrkp.ptsget.sdamod.dadsnd": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "liaall.limmod.othp.ptsget.sdamod.dadsnd": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "liaall.limmod.limpts.wrk.pts.extkey": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "liaall.limmod.wrkp.ptsget.sdamod.seainf": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],

    "liaall.limmod.limpts.oth.pts.extkey": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "liaall.limmod.othp.ptsget.sdamod.seainf": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],

    "liaall.limmod.comamt": [
        { type: "number", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "liaall.limmod.limpts.wrk.pts.nam": [
        { type: "string", required: false, message: "必输项" },
        { max: 40, message: "长度不能超过40" }
    ],
    "liaall.limmod.limpts.oth.pts.nam": [
        { type: "string", required: false, message: "必输项" },
        { max: 40, message: "长度不能超过40" }
    ],
    "liaall.limmod.ccvamt": [
        { type: "number", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],





    "liaall.limmod.limpts.pfcod1": [
        { type: "string", required: false, message: "必输项" },
        { max: 14, message: "长度不能超过14" }
    ],
    "liaall.limmod.limpts.pfcod2": [
        { type: "string", required: false, message: "必输项" },
        { max: 14, message: "长度不能超过14" }
    ],

    "setmod.ref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],


    "setmod.docamt": [
        { type: "number", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],




    "setmod.zmqacc": [
        { type: "string", required: false, message: "必输项" },
        { max: 20, message: "长度不能超过20" }
    ],


}