import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Botrad {
	constructor() {
		this.data = {
			botdrrl1blk: "",
			botdrrl2blk: "",
			botcoll1blk: "",
			liaall: new Pub().data.Liaall,
			setmod: new Pub().data.Setmod,
			trnmod: new Pub().data.Trnmod,

			mtabut: {
				clsflg: "",			//  Close Flag		.mtabut.clsflg
				coninf: {
					oitinf: {
						labinftxt: "",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
						oit: {
							inftxt: "",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
							inflev: "",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
						},
					},
					oitset: {
						labinftxt: "",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
						oit: {
							inftxt: "",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
							inflev: "",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
						},
					},
					conexedat: "",			//  执行日期		.mtabut.coninf.conexedat
					usr: {
						extkey: "",			//  User ID		.mtabut.coninf.usr.extkey
					},
				},
			},

			bodgrp: {
				rec: {
					matpertyp: "",			//  Days/Months or Years for Maturity Period		.bodgrp.rec.matpertyp
					ownref: "",			//  Reference		.bodgrp.rec.ownref
					nam: "",			//  Name		.bodgrp.rec.nam
					doctypcod: "",			//  Collection Condition		.bodgrp.rec.doctypcod
					docsta: "",			//  Document Set Status		.bodgrp.rec.docsta
					matdat: "",			//  Maturity Date		.bodgrp.rec.matdat
					matpercnt: "",			//  Tenor Specification		.bodgrp.rec.matpercnt
					matperbeg: "",			//  Starting from		.bodgrp.rec.matperbeg
					rcvdat: "",			//  Order Date		.bodgrp.rec.rcvdat
					predat: "",			//  Presentation Date		.bodgrp.rec.predat
					trpdoctyp: "",			//  Transport Doc. Type		.bodgrp.rec.trpdoctyp
					trpdocnum: "",			//  Transport Doc. Ref.		.bodgrp.rec.trpdocnum
					tradat: "",			//  Document Dated		.bodgrp.rec.tradat
					tramod: "",			//  Mode of Transport		.bodgrp.rec.tramod
					shpfro: "",			//  Shipment from		.bodgrp.rec.shpfro
					shpto: "",			//  For Transportation to		.bodgrp.rec.shpto
					chato: "",			//  Our Charges to		.bodgrp.rec.chato
					focflg: "",			//  Free of Payment		.bodgrp.rec.focflg
					waicolcod: "",			//  Protest Instructions		.bodgrp.rec.waicolcod
					wairmtcod: "",			//  Waive Remitting Bank Charges		.bodgrp.rec.wairmtcod
					othins: "",			//  Defer Payment until		.bodgrp.rec.othins
					lescom: "",			//  Warehouse/Insurance		.bodgrp.rec.lescom
					dircolflg: "",			//  Direct Collection		.bodgrp.rec.dircolflg
					resflg: "",			//  Reservated Contract		.bodgrp.rec.resflg
					shpdat: "",			//  Shipment date		.bodgrp.rec.shpdat
					advdat: "",			//  Dispatched on		.bodgrp.rec.advdat
					stacty: "",			//  Country Code Risk Country!		.bodgrp.rec.stacty
					stagod: "",			//  Goods Code		.bodgrp.rec.stagod
					invtyp: "",			//  Maturity Date		.bodgrp.rec.invtyp
					paydoctyp: "",			//  Financial Document		.bodgrp.rec.paydoctyp
					paydocnum: "",			//  Document Number		.bodgrp.rec.paydocnum
					issdat: "",			//  Issued on		.bodgrp.rec.issdat
					ccdndrflg: "",			//  Truncation - Physical Document Kept w OWN		.bodgrp.rec.ccdndrflg
					ccdpurflg: "",			//  Payment Under Reserve		.bodgrp.rec.ccdpurflg
				},
				cbs: {
					max: {
						cur: "",			//  Document Amount		.bodgrp.cbs.max.cur
						amt: "",			//  Document Amount		.bodgrp.cbs.max.amt
					},
					opn1: {
						cur: "",			//  Open Amount		.bodgrp.cbs.opn1.cur
						amt: "",			//  Open Amount		.bodgrp.cbs.opn1.amt
					},
				},
				drr: {
					pts: new Pts().data,
					namelc: "",			//  名称		.bodgrp.drr.namelc
					adrelc: "",			//  地址		.bodgrp.drr.adrelc
					dbfadrblkcn: "",			//  Chinese address		.bodgrp.drr.dbfadrblkcn
				},
				col: {
					pts: new Pts().data,
					namelc: "",			//  名称		.bodgrp.col.namelc
					adrelc: "",			//  地址		.bodgrp.col.adrelc
					dbfadrblkcn: "",			//  Chinese address		.bodgrp.col.dbfadrblkcn
				},
				dre: {
					pts: new Pts().data,
					namelc: "",			//  名称		.bodgrp.dre.namelc
					adrelc: "",			//  地址		.bodgrp.dre.adrelc
					dbfadrblkcn: "",			//  Chinese address		.bodgrp.dre.dbfadrblkcn
				},
				blk: {
					docpre:"",			// bodgrp.blk.docpre
					colinssnm: "",			//  Instructions for Second Mail		.bodgrp.blk.colinssnm
					vesselnam: "",			//  Vessel Name		.bodgrp.blk.vesselnam
					goddes: "",			//  Description of Goods		.bodgrp.blk.goddes
					colins: "",			//  Collection Instructions		.bodgrp.blk.colins
					colinsflg: "",			//  Collection instructions modified		.bodgrp.blk.colinsflg
					dftins: "",			//  Draft Instructions		.bodgrp.blk.dftins
					proins: "",			//  Protest Instructions		.bodgrp.blk.proins
					othins: "",			//  Other Instructions		.bodgrp.blk.othins
					chgtxt: "",			//  Charges Text		.bodgrp.blk.chgtxt
					delins: "",			//  Delivery instructions		.bodgrp.blk.delins
					bogdet: "",			//  Tenor Details Text		.bodgrp.blk.bogdet
					cctinsrcv: "",			//  Instructions Received		.bodgrp.blk.cctinsrcv
					cctinscol: "",			//  Collection Instruction		.bodgrp.blk.cctinscol
					intins: "",			//  Interest Instructions		.bodgrp.blk.intins
					setinsbo: "",			//  Settlement insrtrctions		.bodgrp.blk.setinsbo
					agtaut: "",			//  Authority of Agent		.bodgrp.blk.agtaut
				},
			},
			botp: {
				recget: {
					sdamod: {
						dadsnd: "",			//  Drag  Drop Sender		.botp.recget.sdamod.dadsnd
						seainf: "",			//  		.botp.recget.sdamod.seainf
					},
				},
				matp: {
					mattxtlab: "",			//  Label for MATTXT		.botp.matp.mattxtlab
				},
				docgrdm: {
					docgrd:"",
					docdsclab: "",			//  Label of document description		.botp.docgrdm.docdsclab
				},
				usr: {
					extkey: "",			//  Responsible User		.botp.usr.extkey
				},
				usrget: {
					sdamod: {
						seainf: "",			//  		.botp.usrget.sdamod.seainf
					},
				},
				drrp: {
					ptsget: {
						sdamod: {
							seainf: "",			//  		.botp.drrp.ptsget.sdamod.seainf
							dadsnd: "",			//  Drag  Drop Sender		.botp.drrp.ptsget.sdamod.dadsnd
						},
					},
				},
				colp: {
					ptsget: {
						sdamod: {
							seainf: "",			//  		.botp.colp.ptsget.sdamod.seainf
							dadsnd: "",			//  Drag  Drop Sender		.botp.colp.ptsget.sdamod.dadsnd
						},
					},
				},
				drep: {
					ptsget: {
						sdamod: {
							seainf: "",			//  		.botp.drep.ptsget.sdamod.seainf
							dadsnd: "",			//  Drag  Drop Sender		.botp.drep.ptsget.sdamod.dadsnd
						},
					},
				},
				ptsaddp: {
					ptsaddg: [],			//  		.botp.ptsaddp.ptsaddg
				},
			},
			oridre: "",			//  Original Documents Passed to Drawee		.oridre
			pageId: ""			// ctx的key
		}
	}
}