import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Bptame{
    constructor () {
        this.data = {
						bpdgrp:{
							rec:{
								pntref:"",			//  单据编号		.bpdgrp.rec.pntref
								pntnam:"",			//  摘要		.bpdgrp.rec.pntnam
								ownref:"",			//  融资业务编号		.bpdgrp.rec.ownref
								nam:"",			//  摘要		.bpdgrp.rec.nam
								fintyp:"",			//  融资类型		.bpdgrp.rec.fintyp
								pctfin:"",			//  Percentage		.bpdgrp.rec.pctfin
								opndat:"",			//  Open Date		.bpdgrp.rec.opndat
								matdat:"",			//  Maturity Date		.bpdgrp.rec.matdat
								finact:"",			//  借据号		.bpdgrp.rec.finact
								intday:"",			//  Interest Days		.bpdgrp.rec.intday
								tolrat:"",			//  Total Rate		.bpdgrp.rec.tolrat
								fincod:"",			//  借据号		.bpdgrp.rec.fincod
								intrat:"",			//  Base Rate		.bpdgrp.rec.intrat
								conrat:"",			//  参考指标		.bpdgrp.rec.conrat
								lprtyp:"",			//  市场LPR期限品种		.bpdgrp.rec.lprtyp
								fortyp:"",			//  Forfaiting Type		.bpdgrp.rec.fortyp
								lctyp:"",			//  L/C Type		.bpdgrp.rec.lctyp
								f0104:"",			//  境外付款人所属部门		.bpdgrp.rec.f0104
								f0105:"",			//  境外付款人与本机构的关系		.bpdgrp.rec.f0105
								f0102:"",			//  是否附有银行承兑汇票		.bpdgrp.rec.f0102
								f0103:"",			//  境外付款人所属国家/地区		.bpdgrp.rec.f0103
								bennam:"",			//  国内证受益人中文名称		.bpdgrp.rec.bennam
								loanno:"",			//  原一级市场买入融资借据号		.bpdgrp.rec.loanno
								benidcode:"",			//  国内信用证受益人统一信用代码		.bpdgrp.rec.benidcode
								intirt:"",			//  Rate Type		.bpdgrp.rec.intirt
								marrat:"",			//  基准利率		.bpdgrp.rec.marrat
								grarat:"",			//  Grace rate		.bpdgrp.rec.grarat
								mycontno:"",			//  贸易合同号		.bpdgrp.rec.mycontno
							},
							cbs:{
								max:{
									cur:"",			//  Currency		.bpdgrp.cbs.max.cur
									amt:"",			//  融资金额		.bpdgrp.cbs.max.amt
								},
								nom1:{
									cur:"",			//  Net Proceeds		.bpdgrp.cbs.nom1.cur
									amt:"",			//  Net Proceeds		.bpdgrp.cbs.nom1.amt
								},
							},
							fia:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bpdgrp.fia.namelc
								adrelc:"",			//  地址		.bpdgrp.fia.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bpdgrp.fia.dbfadrblkcn
							},
							bu1:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bpdgrp.bu1.namelc
								adrelc:"",			//  地址		.bpdgrp.bu1.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bpdgrp.bu1.dbfadrblkcn
							},
							inv:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bpdgrp.inv.namelc
								adrelc:"",			//  地址		.bpdgrp.inv.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bpdgrp.inv.dbfadrblkcn
							},
							bu2:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bpdgrp.bu2.namelc
								adrelc:"",			//  地址		.bpdgrp.bu2.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bpdgrp.bu2.dbfadrblkcn
							},
							bu3:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bpdgrp.bu3.namelc
								adrelc:"",			//  地址		.bpdgrp.bu3.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bpdgrp.bu3.dbfadrblkcn
							},
						},
						bptp:{
							bedget:{
								sdamod:{
									seainf:"",			//  		.bptp.bedget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bptp.bedget.sdamod.dadsnd
								},
							},
							bodget:{
								sdamod:{
									seainf:"",			//  		.bptp.bodget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bptp.bodget.sdamod.dadsnd
								},
							},
							brdget:{
								sdamod:{
									seainf:"",			//  		.bptp.brdget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bptp.brdget.sdamod.dadsnd
								},
							},
							btdget:{
								sdamod:{
									seainf:"",			//  		.bptp.btdget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bptp.btdget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									seainf:"",			//  		.bptp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bptp.recget.sdamod.dadsnd
								},
							},
							fpdget:{
								sdamod:{
									seainf:"",			//  		.bptp.fpdget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bptp.fpdget.sdamod.dadsnd
								},
							},
							fpdgrp:{
								rec:{
									ownref:"",			//  Reference		.bptp.fpdgrp.rec.ownref
									nam:"",			//  摘要		.bptp.fpdgrp.rec.nam
								},
							},
							usr:{
								extkey:"",			//  客户经理		.bptp.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.bptp.usrget.sdamod.seainf
								},
							},
							fiap:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bptp.fiap.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bptp.fiap.ptsget.sdamod.dadsnd
									},
								},
							},
							purtyp:"",			//  Purchase Type		.bptp.purtyp
							distyp:"",			//  Discount Type		.bptp.distyp
							bu1p:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bptp.bu1p.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bptp.bu1p.ptsget.sdamod.dadsnd
									},
								},
							},
							invp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bptp.invp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bptp.invp.ptsget.sdamod.dadsnd
									},
								},
							},
							bu2p:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bptp.bu2p.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bptp.bu2p.ptsget.sdamod.dadsnd
									},
								},
							},
							bu3p:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bptp.bu3p.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bptp.bu3p.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						fpdgrp:{
							rec:{
								nam:"",			//  摘要		.fpdgrp.rec.nam
								ownref:"",			//  Reference		.fpdgrp.rec.ownref
							},
						},
						distyp:"",			//  Discount Type		.distyp
						bptmod:{
							finmod:{
								pctlab:"",			//  Percentage Label		.bptmod.finmod.pctlab
								intprd:"",			//  计息周期		.bptmod.finmod.intprd
								intdat:"",			//  计息日期		.bptmod.finmod.intdat
								ratchgtyp:"",			//  利率调�'方式		.bptmod.finmod.ratchgtyp
								ratchgprd:"",			//  利率调�'周期		.bptmod.finmod.ratchgprd
								ratchgdat:"",			//  利率调�'月日数		.bptmod.finmod.ratchgdat
								graday:"",			//  宽限期		.bptmod.finmod.graday
								flttyp:"",			//  浮动方式		.bptmod.finmod.flttyp
								fltval:"",			//  浮动值		.bptmod.finmod.fltval
								ovdinttyp:"",			//  执行利率		.bptmod.finmod.ovdinttyp
								ovdintrat:"",			//  罚息比率		.bptmod.finmod.ovdintrat
								act1:"",			//  第一还款�'�号		.bptmod.finmod.act1
								act3:"",			//  第三方还款�'�号		.bptmod.finmod.act3
								acttyp:"",			//  第三方还款方式		.bptmod.finmod.acttyp
								wjdkfl:"",			//  是否到期主动扣收款		.bptmod.finmod.wjdkfl
								dinmod:{
									jzllgz:"",			//  基准利率规则		.bptmod.finmod.dinmod.jzllgz
									dinjdm:"",			//  定价审批代码		.bptmod.finmod.dinmod.dinjdm
									dinjls:"",			//  定价流水号		.bptmod.finmod.dinmod.dinjls
									ockhdm:"",			//  OC客户代码		.bptmod.finmod.dinmod.ockhdm
									hxkhdm:"",			//  核心客户代码		.bptmod.finmod.dinmod.hxkhdm
									sxpfdm:"",			//  授信批复代码		.bptmod.finmod.dinmod.sxpfdm
									djhtno:"",			//  合同号		.bptmod.finmod.dinmod.djhtno
									sxlexi:"",			//  授信类型		.bptmod.finmod.dinmod.sxlexi
									spzhta:"",			//  审批状态		.bptmod.finmod.dinmod.spzhta
									chapdm:"",			//  产品代码		.bptmod.finmod.dinmod.chapdm
									shpijg:"",			//  审批价格(不含税)		.bptmod.finmod.dinmod.shpijg
									dakaje:"",			//  贷款金额		.bptmod.finmod.dinmod.dakaje
									bizhog:"",			//  币种		.bptmod.finmod.dinmod.bizhog
									dakaqx:"",			//  贷款期限		.bptmod.finmod.dinmod.dakaqx
									qixndw:"",			//  期限单位		.bptmod.finmod.dinmod.qixndw
									maxqix:"",			//  最大贷款期限		.bptmod.finmod.dinmod.maxqix
									minqix:"",			//  最小贷款期限		.bptmod.finmod.dinmod.minqix
									maxdje:"",			//  最大贷款金额		.bptmod.finmod.dinmod.maxdje
									mindje:"",			//  最小贷款金额		.bptmod.finmod.dinmod.mindje
									chapmc:"",			//  产品名称		.bptmod.finmod.dinmod.chapmc
									spjgdc:"",			//  审批价格点差(不含税)		.bptmod.finmod.dinmod.spjgdc
									sheplb:"",			//  审批LIBOR		.bptmod.finmod.dinmod.sheplb
									libor:"",			//  最新LIBOR		.bptmod.finmod.dinmod.libor
									dinjlb:"",			//  定价LIBOR		.bptmod.finmod.dinmod.dinjlb
									ndjgbs:"",			//  拟定价格标识		.bptmod.finmod.dinmod.ndjgbs
									shpdch:"",			//  审批价格点差(含税)		.bptmod.finmod.dinmod.shpdch
									shpjgh:"",			//  审批价格(含税)		.bptmod.finmod.dinmod.shpjgh
									shuilv:"",			//  增值税税率		.bptmod.finmod.dinmod.shuilv
									rmbsbs:"",			//  审批流程发起标识		.bptmod.finmod.dinmod.rmbsbs
									lprtyp:"",			//  市场LPR期限品种		.bptmod.finmod.dinmod.lprtyp
								},
								accbch:"",			//  入�'�机构		.bptmod.finmod.accbch
								intact:"",			//  利息付款�'�号		.bptmod.finmod.intact
								intamt:"",			//  预收息金额		.bptmod.finmod.intamt
							},
						},
						conrat:"",			//  参考指标		.conrat
						matdat:"",			//  New Due Date		.matdat
						ametyp:"",			//  修改类型		.ametyp
						fintyp:"",			//  New Advance Type		.fintyp
						liaall: new Pub().data.Liaall,
					
						setmod: new Pub().data.Setmod,
						mtabut:{
							syswrn:{
								dsp:"",			//  Display		.mtabut.syswrn.dsp
							},
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
								contag72his:"",			//  Historic content of TAG 72		.mtabut.coninf.contag72his
								contag72:"",			//  Current content of TAG 72		.mtabut.coninf.contag72
								contag79his:"",			//  Historic content of TAG 79		.mtabut.coninf.contag79his
								contag79:"",			//  Current content of TAG 79		.mtabut.coninf.contag79
							},
						},
						trnmod: new Pub().data.Trnmod,
						
						cfabpt:{
							cfaflg:"",			//  数据采集标志		.cfabpt.cfaflg
							basflg:"",			//  签约信息		.cfabpt.basflg
							ownextkey:"",			//  地区机构号		.cfabpt.ownextkey
							dclflg:"",			//  变动信息		.cfabpt.dclflg
							cda:{
								cfeogudad:"",			//  中资企业境外担保项下贷款业务批准文件号		.cfabpt.cda.cfeogudad
								cfeogudamount:"",			//  中资企业境外担保项下境内贷款额度金额		.cfabpt.cda.cfeogudamount
								useofunds:"",			//  资金用途		.cfabpt.cda.useofunds
								cfeogudcurr:"",			//  中资企业境外担保项下境内贷款额度币种		.cfabpt.cda.cfeogudcurr
							},
							cdaflg:"",			//  是否外保内贷		.cfabpt.cdaflg
							recgrp:{
								bas:{
									actiontype:"",			//  操作类型		.cfabpt.recgrp.bas.actiontype
									actiondesc:"",			//  删除原因		.cfabpt.recgrp.bas.actiondesc
									dofoexlocode:"",			//  国内外汇贷款编号		.cfabpt.recgrp.bas.dofoexlocode
									creditorcode:"",			//  债权人代码		.cfabpt.recgrp.bas.creditorcode
									debtorname:"",			//  债务人中文名称		.cfabpt.recgrp.bas.debtorname
									dofoexlotype:"",			//  国内外汇贷款类型		.cfabpt.recgrp.bas.dofoexlotype
									lenproname:"",			//  转贷项目名称		.cfabpt.recgrp.bas.lenproname
									lenagree:"",			//  转贷协议号		.cfabpt.recgrp.bas.lenagree
									valuedate:"",			//  起息日		.cfabpt.recgrp.bas.valuedate
									maturity:"",			//  到期日		.cfabpt.recgrp.bas.maturity
									currence:"",			//  贷款币种		.cfabpt.recgrp.bas.currence
									anninrate:"",			//  年化利率值		.cfabpt.recgrp.bas.anninrate
									remark:"",			//  备注		.cfabpt.recgrp.bas.remark
									contractamount:"",			//  签约金额		.cfabpt.recgrp.bas.contractamount
									debtorcode:"",			//  债务人代码		.cfabpt.recgrp.bas.debtorcode
								},
							},
							recp:{
								pubp:{
									acp:"",			//  确认		.cfabpt.recp.pubp.acp
								},
							},
						},
						pageId: ""		,	// ctx的key
						ledgrp:{
							rec:{
								dflg:"",	
							}
						},	
						dedgrp:{
							rec:{
								dflg:"",	
							}
						},
				}
    }
}