import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Brtlat{
    constructor () {
        this.data = {
						brtapll1blk:"",			//  XMLPanel brtapll1的内置block		.brtapll1blk
						brdgrp:{
							rec:{
								ownref:"",			//  单据参考号		.brdgrp.rec.ownref
								nam:"",			//  Name of Bill Contract		.brdgrp.rec.nam
								rcvdat:"",			//  到单日期		.brdgrp.rec.rcvdat
								advdat:"",			//  Date of Advice of Payment		.brdgrp.rec.advdat
								docflg:"",			//  单据类型		.brdgrp.rec.docflg
								docsta:"",			//  单据状态		.brdgrp.rec.docsta
								matdat:"",			//  Maturity Date		.brdgrp.rec.matdat
								tenmaxday:"",			//  Tenor day		.brdgrp.rec.tenmaxday
								stadat:"",			//  远期单据到期日		.brdgrp.rec.stadat
								totcur:"",			//  Amount to be Paid		.brdgrp.rec.totcur
								totamt:"",			//  Total Amount to be Paid		.brdgrp.rec.totamt
								igndisflg:"",			//  Ignore Discrepancies		.brdgrp.rec.igndisflg
								advtyp:"",			//  Type of Advice Received		.brdgrp.rec.advtyp
								totdat:"",			//  付款日期		.brdgrp.rec.totdat
								disdat:"",			//  Discrepancy Advice Dated		.brdgrp.rec.disdat
								approvcod:"",			//  Documents on Approval Basis		.brdgrp.rec.approvcod
								relgodflg:"",			//  Release of Goods		.brdgrp.rec.relgodflg
								reltyp:"",			//  Release Type		.brdgrp.rec.reltyp
								relgoddat:"",			//  issue date		.brdgrp.rec.relgoddat
								expdat:"",			//  Expiry Date of Shipping Guarantee		.brdgrp.rec.expdat
								trpdoctyp:"",			//  Transport Doc. Type		.brdgrp.rec.trpdoctyp
								trpdocnum:"",			//  Transport Doc. No.		.brdgrp.rec.trpdocnum
								tradat:"",			//  shipment date		.brdgrp.rec.tradat
								tramod:"",			//  Mode of Transport		.brdgrp.rec.tramod
								rtoaplflg:"",			//  Release Goods to Applicant ?		.brdgrp.rec.rtoaplflg
								ngrcod:"",			//  Goods code		.brdgrp.rec.ngrcod
								blnum:"",			//  B/L Number		.brdgrp.rec.blnum
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.brdgrp.cbs.max.cur
									amt:"",			//  Balance		.brdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.brdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.brdgrp.cbs.opn1.amt
								},
								opn2:{
									cur:"",			//  附加金额		.brdgrp.cbs.opn2.cur
								},
								max2:{
									amt:"",			//  附加金额		.brdgrp.cbs.max2.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
							},
							blk:{
								prsdoc:"",			//  Documents Presented		.brdgrp.blk.prsdoc
								aplins:"",			//  Instructions Received from Applicant		.brdgrp.blk.aplins
								chaded:"",			//  Charges Deducted		.brdgrp.blk.chaded
								chaadd:"",			//  Charges Added		.brdgrp.blk.chaadd
								docdis:"",			//  Discrepancies		.brdgrp.blk.docdis
								docdisflg:"",			//  discrepancies modified		.brdgrp.blk.docdisflg
								comcon:"",			//  Comments and Conclusions		.brdgrp.blk.comcon
								setinsbr:"",			//  Settlement Instructions BR		.brdgrp.blk.setinsbr
								vesnam:"",			//  Vessel Name		.brdgrp.blk.vesnam
								pordis:"",			//  Port of Discharge		.brdgrp.blk.pordis
								delplc:"",			//  Place of Delivery		.brdgrp.blk.delplc
								roggod:"",			//  Covered Goods		.brdgrp.blk.roggod
								relstoadr:"",			//  Release to Address		.brdgrp.blk.relstoadr
								porlod:"",			//  Port of loading		.brdgrp.blk.porlod
								voynum:"",			//  Voyage numer		.brdgrp.blk.voynum
								notpty:"",			//  Notify Party		.brdgrp.blk.notpty
								carnam:"",			//  Carrier		.brdgrp.blk.carnam
							},
							acb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.acb.namelc
								adrelc:"",			//  地址		.brdgrp.acb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.acb.dbfadrblkcn
							},
							shp:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.shp.namelc
								adrelc:"",			//  地址		.brdgrp.shp.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.shp.dbfadrblkcn
							},
						},
						lidgrp:{
							rec:{
								ownref:"",			//  信用证编号		.lidgrp.rec.ownref
								expdat:"",			//  Date of Expiry		.lidgrp.rec.expdat
							},
							cbs:{
								opn1:{
									cur:"",			//  Currency		.lidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.lidgrp.cbs.opn1.amt
								},
							},
						},
						brtp:{
							lidget:{
								sdamod:{
									seainf:"",			//  		.brtp.lidget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.brtp.lidget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.brtp.recget.sdamod.dadsnd
									seainf:"",			//  		.brtp.recget.sdamod.seainf
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.brtp.matp.mattxtlab
							},
							acbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.acbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.acbp.ptsget.sdamod.dadsnd
									},
								},
							},
							docgrdm:{
								docdsclab:"",			//  Label of document description		.brtp.docgrdm.docdsclab
							},
							cre752flg:"",			//  Create 752		.brtp.cre752flg
							furide:"",			//  Further Identification		.brtp.furide
							cre732flg:"",			//  Create MT 732		.brtp.cre732flg
							shpp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.shpp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.shpp.ptsget.sdamod.dadsnd
									},
								},
							},
							connum:"",			//  Contract Number		.brtp.connum
						},
						setmod:{
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
						},
						gleflg:"",			//  系统内付款且过�'�		.gleflg
						pageId: ""			// ctx的key
				}
    }
}