import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Getamc{
    constructor () {
        this.data = {
						gitp:{
							explab:"",			//  Label unlimited Validity		.gitp.explab
							lialab:"",			//  Label unlimited lLability		.gitp.lialab
							aplmullab:"",			//  Label, that is set, if there are multiple applicants		.gitp.aplmullab
							expfldlab:"",			//  Label for Field Validity		.gitp.expfldlab
							liafldlab:"",			//  Label for Field Lability		.gitp.liafldlab
							recget:{
								sdamod:{
									seainf:"",			//  Reference		.gitp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.gitp.recget.sdamod.dadsnd
								},
							},
							aamp:{
								aammod:{
									addamtflg:"",			//  Add. Amount		.gitp.aamp.aammod.addamtflg
								},
							},
							exptxtmodflg:"",			//  Modify Expiry Condition/Event		.gitp.exptxtmodflg
							liatxtcmodflg:"",			//  Modify Liability Condition/Event - Counter Undertaking		.gitp.liatxtcmodflg
							usr:{
								extkey:"",			//  Responsible User		.gitp.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.gitp.usrget.sdamod.seainf
								},
							},
							inccormsgflg:"",			//  Incoming Corporate Message Flag		.gitp.inccormsgflg
							drpreflglab1:"",			//  Label for Type of Request		.gitp.drpreflglab1
							inc760:"",			//  incoming lose		.gitp.inc760
							morapllab:"",			//  Label set if nore than one applicant		.gitp.morapllab
							drpreflglab:"",			//  Label for Type of Request		.gitp.drpreflglab
							bantyp:"",			//  bank typ		.gitp.bantyp
							letterlabel:"",			//  LETTERLABEL		.gitp.letterlabel
							oppbnkl:"",			//  对手行代码		.gitp.oppbnkl
							drpreflg:"",			//  Type of Request		.gitp.drpreflg
							aplp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.aplp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.aplp.ptsget.sdamod.dadsnd
									},
								},
							},
							benp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.benp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.benp.ptsget.sdamod.dadsnd
									},
								},
							},
							issp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.issp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.issp.ptsget.sdamod.dadsnd
									},
								},
							},
							advp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.advp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.advp.ptsget.sdamod.dadsnd
									},
								},
							},
							lettername:"",			//  面函标题		.gitp.lettername
							dzbhflg:"",			//  电子保函标志		.gitp.dzbhflg
							prepermodflg:"",			//  Modify Document and Presentation Instructions		.gitp.prepermodflg
							chkpreper:"",			//  Allow *		.gitp.chkpreper
							chargi:{
								chkast:"",			//  Allow *		.gitp.chargi.chkast
							},
							laborcdat:"",			//  Label for Contract Date		.gitp.laborcdat
							labaddinf:"",			//  Label for Additional Info		.gitp.labaddinf
							covgodsrvmodflg:"",			//  Modify Object of Contract		.gitp.covgodsrvmodflg
							covgod:{
								chkast:"",			//  Allow *		.gitp.covgod.chkast
							},
							aplnamtxt:"",			//  申请人名称		.gitp.aplnamtxt
							indirectswiadd:"",			//  InDirect Swift Add		.gitp.indirectswiadd
							gidtxtmodflg:"",			//  Modify Guarantee Text		.gitp.gidtxtmodflg
							chkgidtxt:"",			//  Allow *		.gitp.chkgidtxt
							swiftflg:"",			//  是否SWIFT格式		.gitp.swiftflg
						},
						gidgrp:{
							rec:{
								ownref:"",			//  Reference		.gidgrp.rec.ownref
								nam:"",			//  Name		.gidgrp.rec.nam
								hndtyp:"",			//  Handling Type		.gidgrp.rec.hndtyp
								gartyp:"",			//  Type of Undertaking		.gidgrp.rec.gartyp
								expdat:"",			//  Validity until		.gidgrp.rec.expdat
								liadat:"",			//  Our Liability until		.gidgrp.rec.liadat
								cnfsta:"",			//  Confirmation Status 		.gidgrp.rec.cnfsta
								partcon:"",			//  Partial Confirmation		.gidgrp.rec.partcon
								cnfdat:"",			//  Confirmed on		.gidgrp.rec.cnfdat
								purposin:"",			//  Incoming Purpose 		.gidgrp.rec.purposin
								purpos:"",			//  Outgoing Purpose		.gidgrp.rec.purpos
								exptyp:"",			//  Expiry Type		.gidgrp.rec.exptyp
								liatypc:"",			//  Liability Type 		.gidgrp.rec.liatypc
								resflg:"",			//  Reserved Contract		.gidgrp.rec.resflg
								rejflg:"",			//  Direct rejection		.gidgrp.rec.rejflg
								drpreflg:"",			//  Type of Request		.gidgrp.rec.drpreflg
								gartypin:"",			//  Undertaking Type from Local Undertaking Seq. C		.gidgrp.rec.gartypin
								legfrm:"",			//  Form of Undertaking		.gidgrp.rec.legfrm
								demand:"",			//  Demand Indicator		.gidgrp.rec.demand
								giduil:"",			//  Language of Undertak.		.gidgrp.rec.giduil
								secuilflg:"",			//  Bilingual Guarantee		.gidgrp.rec.secuilflg
								gtxinr:"",			//  Choice of Text		.gidgrp.rec.gtxinr
								atxinr:"",			//  Choice of Text		.gidgrp.rec.atxinr
								oldref:"",			//  Old Reference		.gidgrp.rec.oldref
								revflg:"",			//  Declaration of Indemnity		.gidgrp.rec.revflg
								autrnwflg:"",			//  Auto-Renewal		.gidgrp.rec.autrnwflg
								rmbflg:"",			//  Reimbursement Information		.gidgrp.rec.rmbflg
								orddat:"",			//  Order Date		.gidgrp.rec.orddat
								opndat:"",			//  Valid from		.gidgrp.rec.opndat
								expflg:"",			//  Unlimited Guarantee		.gidgrp.rec.expflg
								liaflg:"",			//  Unlimited Liability		.gidgrp.rec.liaflg
								inudat:"",			//  Inure Date		.gidgrp.rec.inudat
								teskeyunc:"",			//  Test Key Unconfirmity		.gidgrp.rec.teskeyunc
								guaflg:"",			//  Mortgage Flag		.gidgrp.rec.guaflg
								cmtflg:"",			//  跨境人民币保函		.gidgrp.rec.cmtflg
								fingua:"",			//  是否对外担保		.gidgrp.rec.fingua
								cfaguatyp:"",			//  对外担保类型		.gidgrp.rec.cfaguatyp
								vrfdat:"",			//  核销日期		.gidgrp.rec.vrfdat
								fenlishi:"",			//  是否分离式保函		.gidgrp.rec.fenlishi
								delori:"",			//  Delivery of Undertak.		.gidgrp.rec.delori
								deloritxt:"",			//  Delivery of Undertak.		.gidgrp.rec.deloritxt
								sndto:"",			//  Undertaking Send to		.gidgrp.rec.sndto
								delto:"",			//  Deliv. To/Collection By		.gidgrp.rec.delto
								transfer:"",			//  Transfer Indicator		.gidgrp.rec.transfer
								chato:"",			//  Own Charges Borne by		.gidgrp.rec.chato
								orcref:"",			//  Contract Reference		.gidgrp.rec.orcref
								orcdat:"",			//  Date from Original Contract		.gidgrp.rec.orcdat
								tenclsdat:"",			//  Closing Date		.gidgrp.rec.tenclsdat
								orcrat:"",			//  Original Perc./ Rate		.gidgrp.rec.orcrat
								orccur:"",			//  Contract Amount 		.gidgrp.rec.orccur
								orcamt:"",			//  Contract Amount 		.gidgrp.rec.orcamt
								acc:"",			//  A/c for Adv. Paym. Guar.		.gidgrp.rec.acc
								jurlaws20:"",			//  Governing Law		.gidgrp.rec.jurlaws20
								jurlaw:"",			//  Law of Jurisdiction		.gidgrp.rec.jurlaw
								jurplc:"",			//  Place of Jurisdiction		.gidgrp.rec.jurplc
								tenref:"",			//  Tender Reference		.gidgrp.rec.tenref
								tendat:"",			//  Tender Date		.gidgrp.rec.tendat
								trmdat:"",			//  Latest Transmiss. Date		.gidgrp.rec.trmdat
								juscod:"",			//  组织机构代码		.gidgrp.rec.juscod
								cunqii:"",			//  流动资金贷款利率档次		.gidgrp.rec.cunqii
								bilvvv:"",			//  上浮比率		.gidgrp.rec.bilvvv
								bngcod:"",			//  企业海关编码		.gidgrp.rec.bngcod
								mannum:"",			//  手册号码		.gidgrp.rec.mannum
							},
							cbs:{
								max:{
									cur:"",			//  Guarantee Amount		.gidgrp.cbs.max.cur
									amt:"",			//  Guarantee Amount		.gidgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.gidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.gidgrp.cbs.opn1.amt
								},
								cnf:{
									cur:"",			//  Confirmation Amount		.gidgrp.cbs.cnf.cur
									amt:"",			//  Balance		.gidgrp.cbs.cnf.amt
								},
							},
							ben:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.ben.namelc
								adrelc:"",			//  地址		.gidgrp.ben.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.ben.dbfadrblkcn
							},
							apl:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.apl.namelc
								adrelc:"",			//  地址		.gidgrp.apl.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.apl.dbfadrblkcn
							},
							ctr:{
								pts:new Pts().data,
							},
							iss:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.iss.namelc
								adrelc:"",			//  地址		.gidgrp.iss.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.iss.dbfadrblkcn
							},
							blk:{
								contag79:"",			//  Content of TAG 79		.gidgrp.blk.contag79
								gartyptxtin:"",			//  Specification of Type of Undertaking - Counter Undertaking		.gidgrp.blk.gartyptxtin
								apprul:"",			//  Applicable Rules		.gidgrp.blk.apprul
								apprultxt:"",			//  Applicable Rules		.gidgrp.blk.apprultxt
								exptxt:"",			//  Expiry Condition/ Evt.		.gidgrp.blk.exptxt
								atxexptxt:"",			//  Expiry Condition/ Evt.		.gidgrp.blk.atxexptxt
								liatxtc:"",			//  Liability Condition		.gidgrp.blk.liatxtc
								atxliatxtc:"",			//  Liability Condition		.gidgrp.blk.atxliatxtc
								deltoadr:"",			//  Delivery to Address		.gidgrp.blk.deltoadr
								preper:"",			//  Presentation Instr.		.gidgrp.blk.preper
								atxpreper:"",			//  Presentation Instr.		.gidgrp.blk.atxpreper
								trfcond:"",			//  Transfer Conditions		.gidgrp.blk.trfcond
								feetxt:"",			//  Additional Details to Code for Charges		.gidgrp.blk.feetxt
								covgodsrv:"",			//  Object of Contract		.gidgrp.blk.covgodsrv
								orcplc:"",			//  Original Contract Place		.gidgrp.blk.orcplc
								addinf:"",			//  Additional Info		.gidgrp.blk.addinf
								atxcovgodsrv:"",			//  Underly. Transact. Det.		.gidgrp.blk.atxcovgodsrv
								gidtxt:"",			//  Guarantee Text		.gidgrp.blk.gidtxt
								gtxgidtxt:"",			//  Guarantee Text with Variables		.gidgrp.blk.gtxgidtxt
							},
							adv:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.adv.namelc
								adrelc:"",			//  地址		.gidgrp.adv.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.adv.dbfadrblkcn
							},
							ghd:{
								segtyp:"",			//  特殊保函类型		.gidgrp.ghd.segtyp
								bustyp:"",			//  业务类型		.gidgrp.ghd.bustyp
								wahnum:"",			//  仓库号		.gidgrp.ghd.wahnum
								remark:"",			//  备注		.gidgrp.ghd.remark
								aplnam:"",			//  申请人名称关税保函专用		.gidgrp.ghd.aplnam
							},
							gidcxm:{
								warran:"",			//  被保证人		.gidgrp.gidcxm.warran
								cxmflg:"",			//  是否显示查询码		.gidgrp.gidcxm.cxmflg
								benefi:"",			//  受益人名称		.gidgrp.gidcxm.benefi
							},
						},
						reqdat:"",			//  Confir. Requested on		.reqdat
						pageId: "",			// ctx的key
						liaall: new Pub().data.Liaall,
						setmod: new Pub().data.Setmod,
						mtabut: new Pub().data.Mtabut,
						trnmod: new Pub().data.Trnmod,
					
				}
    }
}