import Utils from "~/utils"

/**
* Gitpop Check规则
*/
let checkObj = {
    "gidgrp.bec.pts.extkey"                      :null,
    "gidgrp.avc.pts.extkey"                      :null,
    "gidgrp.blk.gidtxt"                      :null,
    "gidgrp.rec.tenref"                      :null,
    "gidgrp.rec.giduil"                      :null,
    "gidgrp.rec.gartyp"                      :null,
    "gidgrp.rec.jurlaws20"                      :null,
    "gitp.aamp.aammod.addamtflg"                      :null,
    "gidgrp.ben.pts.adrblk"                      :null,
    "gidgrp.blk.atxexptxt"                      :null,
    "gidgrp.atb.pts.adrblk"                      :null,
    "gidgrp.con.pts.adrblk"                      :null,
    "gidgrp.ghd.zsjzts"                      :null,
    "gitp.liatxtcmodflg"                      :null,
    "gidgrp.rec.orcamt"                      :null,
    "gidgrp.apc.namelc"                      :null,
    "gidgrp.ben.adrelc"                      :null,
    "gitp.usr.extkey"                      :null,
    "gidgrp.ghd.sqrnam"                      :null,
    "gitp.covgodsrvcmodflg"                      :null,
    "gidgrp.avc.pts.nam"                      :null,
    "gidgrp.rec.exptyp"                      :null,
    "gidgrp.ctr.pts.extkey"                      :null,
    "gidgrp.rec.liadat"                      :null,
    "gitp.gidtxtmodflgc"                      :null,
    "gidgrp.ctc.adrelc"                      :null,
    "gidgrp.blk.orcplcc"                      :null,
    "gidgrp.rec.sndto"                      :null,
    "gidgrp.con.adrelc"                      :null,
    "gidgrp.ctc.pts.extkey"                      :null,
    "gidgrp.blk.liatxtc"                      :null,
    "gidgrp.blk.feetxtc"                      :null,
    "gitp.exptxtmodflg"                      :null,
    "gidgrp.rec.gtxinr"                      :null,
    "gidgrp.rec.vrfdat"                      :null,
    "gidgrp.rec.tendat"                      :null,
    "gidgrp.rec.purpos"                      :null,
    "gidgrp.gidcxm.cxmflg"                      :null,
    "decreadat"                      :null,
    "gidgrp.rec.autrnwflg"                      :null,
    "gidgrp.ctc.namelc"                      :null,
    "gidgrp.rec.legfrm"                      :null,
    "gidgrp.rec.tenclsdatc"                      :null,
    "gidgrp.apl.pts.extkey"                      :null,
    "gidgrp.apl.namelc"                      :null,
    "gidgrp.rec.accc"                      :null,
    "gidgrp.rec.liatypc"                      :null,
    "gidgrp.rec.autrnwflgc"                      :null,
    "gidgrp.blk.orcplc"                      :null,
    "gidgrp.atb.adrelc"                      :null,
    "gidgrp.rec.revflg"                      :null,
    "gidgrp.blk.addinf"                      :null,
    "gidgrp.iss.adrelc"                      :null,
    "gidgrp.rec.hndtyp"                      :null,
    "gidgrp.rec.orcrefc"                      :null,
    "gidgrp.ghd.beyzd1"                      :null,
    "gidgrp.adv.namelc"                      :null,
    "gitp.swiftflg"                      :null,
    "gidgrp.bdb.pts.extkey"                      :null,
    "gidgrp.iss.pts.adrblk"                      :null,
    "gidgrp.blk.atxpreperc"                      :null,
    "gidgrp.apc.pts.adrblk"                      :null,
    "gidgrp.adv.pts.adrblk"                      :null,
    "gidgrp.rec.orcref"                      :null,
    "gidgrp.bec.pts.adrblk"                      :null,
    "gidgrp.ghd.dbyhmc"                      :null,
    "gidgrp.ctr.namelc"                      :null,
    "gidgrp.blk.atxpreper"                      :null,
    "gidgrp.rec.orcdatc"                      :null,
    "gidgrp.rec.orcamtc"                      :null,
    "gidgrp.con.pts.extkey"                      :null,
    "gidgrp.rec.tenclsdat"                      :null,
    "gidgrp.blk.gtxgidtxtc"                      :null,
    "gidgrp.rec.tendatc"                      :null,
    "gidgrp.blk.gtxgidtxt"                      :null,
    "decreatxt"                      :null,
    "gidgrp.bdb.adrelc"                      :null,
    "gidgrp.ctr.adrelc"                      :null,
    "gidgrp.blk.covgodsrv"                      :null,
    "gidgrp.blk.atxcovgodsrv"                      :null,
    "gidgrp.con.namelc"                      :null,
    "gitp.covgodsrvmodflg"                      :null,
    "gidgrp.rec.orcrat"                      :null,
    "gidgrp.rec.jurlawc"                      :null,
    "gidgrp.ben.namelc"                      :null,
    "gidgrp.cbs.max.cur"                      :null,
    "gidgrp.ghd.aplnam"                      :null,
    "gidgrp.rec.expflg"                      :null,
    "gidgrp.bec.adrelc"                      :null,
    "gidgrp.ctr.pts.adrblk"                      :null,
    "gidgrp.rec.jurplcc"                      :null,
    "gidgrp.cbs.mac.amt"                      :null,
    "gidgrp.atb.namelc"                      :null,
    "gidgrp.rec.orddat"                      :null,
    "gidgrp.ctc.pts.adrblk"                      :null,
    "gidgrp.blk.covgodsrvc"                      :null,
    "gidgrp.rec.orcdat"                      :null,
    "gidgrp.apc.adrelc"                      :null,
    "gidgrp.rec.stacty"                      :null,
    "gidgrp.blk.gidtxtc"                      :null,
    "gidgrp.ghd.dbyhdh"                      :null,
    "gidgrp.blk.exptxt"                      :null,
    "gidgrp.atb.pts.extkey"                      :null,
    "gidgrp.blk.atxliatxtc"                      :null,
    "gidgrp.blk.addinfc"                      :null,
    "gitp.inccormsgflg"                      :null,
    "gidgrp.rec.jurplc"                      :null,
    "gidgrp.rec.mannum"                      :null,
    "gidgrp.blk.apprul"                      :null,
    "gidgrp.apl.pts.adrblk"                      :null,
    "gidgrp.bec.namelc"                      :null,
    "gidgrp.rec.orcratc"                      :null,
    "gidgrp.rec.jurlaw"                      :null,
    "gidgrp.rec.acc"                      :null,
    "gidgrp.rec.inudat"                      :null,
    "gitp.prepercmodflg"                      :null,
    "gidgrp.iss.pts.ref"                      :null,
    "gitp.gidtxtmodflg"                      :null,
    "gidgrp.blk.feetxt"                      :null,
    "gidgrp.ghd.sqrtel"                      :null,
    "gitp.prepermodflg"                      :null,
    "gidgrp.bdb.namelc"                      :null,
    "gidgrp.rec.expdat"                      :null,
    "gidgrp.blk.preperc"                      :null,
    "gidgrp.rec.tenrefc"                      :null,
    "gidgrp.rec.trmdat"                      :null,
    "gidgrp.blk.preper"                      :null,
    "gidgrp.blk.atxcovgodsrvc"                      :null,
    "gidgrp.apl.adrelc"                      :null,
    "gidgrp.rec.trmdatc"                      :null,
    "gidgrp.adv.adrelc"                      :null,
    "gidgrp.blk.apprultxt"                      :null,
    "gidgrp.apc.pts.extkey"                      :null,
    "gidgrp.iss.namelc"                      :null,
    "gidgrp.adv.pts.extkey"                      :null,
    "gidgrp.cbs.max.amt"                      :null,
    "gidgrp.iss.pts.extkey"                      :null,
    "gidgrp.ben.pts.extkey"                      :null,
    "gidgrp.bdb.pts.adrblk"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

