import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Gitpop{
    constructor () {
        this.data = {
						gitp:{
							laborcdat:"",			//  Label for Contract Date		.gitp.laborcdat
							labaddinf:"",			//  Label for Additional Info		.gitp.labaddinf
							covgodsrvmodflg:"",			//  Modify Object of Contract		.gitp.covgodsrvmodflg
							covgod:{
								chkast:"",			//  Allow *		.gitp.covgod.chkast
							},
							aplnamtxt:"",			//  申请人名称		.gitp.aplnamtxt
							indirectswiadd:"",			//  InDirect Swift Add		.gitp.indirectswiadd
							swiftflg:"",			//  是否SWIFT格式		.gitp.swiftflg
							recget:{
								sdamod:{
									seainf:"",			//  Reference		.gitp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.gitp.recget.sdamod.dadsnd
								},
							},
							aamp:{
								aammod:{
									addamtflg:"",			//  Add. Amount		.gitp.aamp.aammod.addamtflg
								},
							},
							exptxtmodflg:"",			//  Modify Expiry Condition/Event		.gitp.exptxtmodflg
							liatxtcmodflg:"",			//  Modify Liability Condition/Event - Counter Undertaking		.gitp.liatxtcmodflg
							usr:{
								extkey:"",			//  Responsible User		.gitp.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.gitp.usrget.sdamod.seainf
								},
							},
							inccormsgflg:"",			//  Incoming Corporate Message Flag		.gitp.inccormsgflg
							drpreflglab1:"",			//  Label for Type of Request		.gitp.drpreflglab1
							inc760:"",			//  incoming lose		.gitp.inc760
							morapllab:"",			//  Label set if nore than one applicant		.gitp.morapllab
							drpreflglab:"",			//  Label for Type of Request		.gitp.drpreflglab
							bantyp:"",			//  bank typ		.gitp.bantyp
							letterlabel:"",			//  LETTERLABEL		.gitp.letterlabel
							oppbnkl:"",			//  对手行代码		.gitp.oppbnkl
							drpreflg:"",			//  Type of Request		.gitp.drpreflg
							aplp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.aplp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.aplp.ptsget.sdamod.dadsnd
									},
								},
							},
							benp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.benp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.benp.ptsget.sdamod.dadsnd
									},
								},
							},
							issp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.issp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.issp.ptsget.sdamod.dadsnd
									},
								},
							},
							advp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.advp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.advp.ptsget.sdamod.dadsnd
									},
								},
							},
							lettername:"",			//  面函标题		.gitp.lettername
							dzbhflg:"",			//  电子保函标志		.gitp.dzbhflg
							ctrp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.ctrp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.ctrp.ptsget.sdamod.dadsnd
									},
								},
							},
							aplsupflg:"",			//  Suppress Applicant in 760 Seqence B Flag		.gitp.aplsupflg
							atbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.atbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.atbp.ptsget.sdamod.dadsnd
									},
								},
							},
							labapl:"",			//  Label of apl		.gitp.labapl
							labctr:"",			//  Label of CTR		.gitp.labctr
							labaplref:"",			//  Label of APL's ref		.gitp.labaplref
							labctrref:"",			//  Label of CTR's ref		.gitp.labctrref
							labissbak:"",			//  Label of issue bank		.gitp.labissbak
							labissref:"",			//  Label of issue bank's ref		.gitp.labissref
							conp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.conp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.conp.ptsget.sdamod.dadsnd
									},
								},
							},
							bdbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.bdbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.bdbp.ptsget.sdamod.dadsnd
									},
								},
							},
							prepermodflg:"",			//  Modify Document and Presentation Instructions		.gitp.prepermodflg
							chkpreper:"",			//  Allow *		.gitp.chkpreper
							chargi:{
								chkast:"",			//  Allow *		.gitp.chargi.chkast
							},
							gidtxtmodflg:"",			//  Modify Guarantee Text		.gitp.gidtxtmodflg
							chkgidtxt:"",			//  Allow *		.gitp.chkgidtxt
							aacp:{
								aacmod:{
									addamtflg:"",			//  Add. Amount		.gitp.aacp.aacmod.addamtflg
								},
							},
							apcp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.apcp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.apcp.ptsget.sdamod.dadsnd
									},
								},
							},
							apcsupflg:"",			//  Suppress Applicant in 760 Seqence C Flag		.gitp.apcsupflg
							ctcp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.ctcp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.ctcp.ptsget.sdamod.dadsnd
									},
								},
							},
							becp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.becp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.becp.ptsget.sdamod.dadsnd
									},
								},
							},
							avcp:{
								ptsget:{
									sdamod:{
										dadsnd:"",			//  Drag  Drop Sender		.gitp.avcp.ptsget.sdamod.dadsnd
										seainf:"",			//  		.gitp.avcp.ptsget.sdamod.seainf
									},
								},
							},
							prepercmodflg:"",			//  Modify Document and Presentation Instructions		.gitp.prepercmodflg
							chkpreperc:"",			//  Allow *		.gitp.chkpreperc
							chargic:{
								chkast:"",			//  Allow *		.gitp.chargic.chkast
							},
							labaddinfc:"",			//  Label for Additional Info in Sequence C		.gitp.labaddinfc
							covgodsrvcmodflg:"",			//  Modify Object of Contract Sequence C		.gitp.covgodsrvcmodflg
							covgodc:{
								chkast:"",			//  Allow *		.gitp.covgodc.chkast
							},
							gidtxtmodflgc:"",			//  Modify Guarantee Text - Local Undertaking Seq. C		.gitp.gidtxtmodflgc
							chkgidtxtc:"",			//  Allow *		.gitp.chkgidtxtc
						},
						gidgrp:{
							rec:{
								orcref:"",			//  Contract Reference		.gidgrp.rec.orcref
								orcdat:"",			//  Date from Original Contract		.gidgrp.rec.orcdat
								tenclsdat:"",			//  Closing Date		.gidgrp.rec.tenclsdat
								orcrat:"",			//  Original Perc./ Rate		.gidgrp.rec.orcrat
								orccur:"",			//  Contract Amount 		.gidgrp.rec.orccur
								orcamt:"",			//  Contract Amount 		.gidgrp.rec.orcamt
								acc:"",			//  A/c for Adv. Paym. Guar.		.gidgrp.rec.acc
								jurlaws20:"",			//  Governing Law		.gidgrp.rec.jurlaws20
								jurlaw:"",			//  Law of Jurisdiction		.gidgrp.rec.jurlaw
								jurplc:"",			//  Place of Jurisdiction		.gidgrp.rec.jurplc
								tenref:"",			//  Tender Reference		.gidgrp.rec.tenref
								tendat:"",			//  Tender Date		.gidgrp.rec.tendat
								trmdat:"",			//  Latest Transmiss. Date		.gidgrp.rec.trmdat
								juscod:"",			//  组织机构代码		.gidgrp.rec.juscod
								cunqii:"",			//  流动资金贷款利率档次		.gidgrp.rec.cunqii
								bilvvv:"",			//  上浮比率		.gidgrp.rec.bilvvv
								bngcod:"",			//  企业海关编码		.gidgrp.rec.bngcod
								mannum:"",			//  手册号码		.gidgrp.rec.mannum
								fingua:"",			//  是否对外担保		.gidgrp.rec.fingua
								cfaguatyp:"",			//  对外担保类型		.gidgrp.rec.cfaguatyp
								cmtflg:"",			//  跨境人民币保函		.gidgrp.rec.cmtflg
								ownref:"",			//  Reference		.gidgrp.rec.ownref
								resflg:"",			//  Reserved Contract		.gidgrp.rec.resflg
								rejflg:"",			//  Direct rejection		.gidgrp.rec.rejflg
								drpreflg:"",			//  Type of Request		.gidgrp.rec.drpreflg
								purposin:"",			//  Incoming Purpose 		.gidgrp.rec.purposin
								purpos:"",			//  Outgoing Purpose		.gidgrp.rec.purpos
								hndtyp:"",			//  Handling Type		.gidgrp.rec.hndtyp
								gartyp:"",			//  Type of Undertaking		.gidgrp.rec.gartyp
								gartypin:"",			//  Undertaking Type from Local Undertaking Seq. C		.gidgrp.rec.gartypin
								legfrm:"",			//  Form of Undertaking		.gidgrp.rec.legfrm
								demand:"",			//  Demand Indicator		.gidgrp.rec.demand
								giduil:"",			//  Language of Undertak.		.gidgrp.rec.giduil
								secuilflg:"",			//  Bilingual Guarantee		.gidgrp.rec.secuilflg
								gtxinr:"",			//  Choice of Text		.gidgrp.rec.gtxinr
								atxinr:"",			//  Choice of Text		.gidgrp.rec.atxinr
								exptyp:"",			//  Expiry Type		.gidgrp.rec.exptyp
								expdat:"",			//  Valid until		.gidgrp.rec.expdat
								liatypc:"",			//  Liability Type 		.gidgrp.rec.liatypc
								liadat:"",			//  Our Liability until		.gidgrp.rec.liadat
								oldref:"",			//  Old Reference		.gidgrp.rec.oldref
								revflg:"",			//  Declaration of Indemnity		.gidgrp.rec.revflg
								autrnwflg:"",			//  Auto-Renewal		.gidgrp.rec.autrnwflg
								rmbflg:"",			//  Reimbursement Information		.gidgrp.rec.rmbflg
								orddat:"",			//  Order Date		.gidgrp.rec.orddat
								opndat:"",			//  Valid from		.gidgrp.rec.opndat
								expflg:"",			//  Unlimited Guarantee		.gidgrp.rec.expflg
								liaflg:"",			//  Unlimited Liability		.gidgrp.rec.liaflg
								nam:"",			//  Name		.gidgrp.rec.nam
								inudat:"",			//  Inure Date		.gidgrp.rec.inudat
								teskeyunc:"",			//  Test Key Unconfirmity		.gidgrp.rec.teskeyunc
								guaflg:"",			//  Mortgage Flag		.gidgrp.rec.guaflg
								vrfdat:"",			//  核销日期		.gidgrp.rec.vrfdat
								fenlishi:"",			//  是否分离式保函		.gidgrp.rec.fenlishi
								stacty:"",			//  Risk Country 		.gidgrp.rec.stacty
								delori:"",			//  Delivery of Undertak.		.gidgrp.rec.delori
								deloritxt:"",			//  Delivery of Undertak.		.gidgrp.rec.deloritxt
								sndto:"",			//  Undertaking Send to		.gidgrp.rec.sndto
								delto:"",			//  Deliv. To/Collection By		.gidgrp.rec.delto
								transfer:"",			//  Transfer Indicator		.gidgrp.rec.transfer
								chato:"",			//  Own Charges Borne by		.gidgrp.rec.chato
								opndatc:"",			//  Requested Issue Date		.gidgrp.rec.opndatc
								gartypc:"",			//  Undertaking Type 		.gidgrp.rec.gartypc
								legfrmc:"",			//  Form of Undertaking		.gidgrp.rec.legfrmc
								demandc:"",			//  Demand Indicator 		.gidgrp.rec.demandc
								stdwrdc:"",			//  Standard wording required		.gidgrp.rec.stdwrdc
								gtxinrc:"",			//  Choice of Text		.gidgrp.rec.gtxinrc
								autrnwflgc:"",			//  Auto-Renewal - Local Undertaking Seq. C		.gidgrp.rec.autrnwflgc
								stdwrduilc:"",			//  Requested Language		.gidgrp.rec.stdwrduilc
								deloric:"",			//  Delivery of Undertak.		.gidgrp.rec.deloric
								deloritxtc:"",			//  Delivery of Undertak.		.gidgrp.rec.deloritxtc
								deltoc:"",			//  Deli. To/Collection By		.gidgrp.rec.deltoc
								transferc:"",			//  Transfer Indicator - Local Undertaking Seq. C		.gidgrp.rec.transferc
								orcrefc:"",			//  Contract Reference		.gidgrp.rec.orcrefc
								orcdatc:"",			//  Date from Original Contract - Local Undertaking Seq. C		.gidgrp.rec.orcdatc
								tenclsdatc:"",			//  Closing Date		.gidgrp.rec.tenclsdatc
								orcratc:"",			//  Original Perc./ Rate		.gidgrp.rec.orcratc
								orccurc:"",			//  Contract Amount 		.gidgrp.rec.orccurc
								orcamtc:"",			//  Contract Amount 		.gidgrp.rec.orcamtc
								accc:"",			//  A/c Adv. Paym. Guar.		.gidgrp.rec.accc
								jurlawc:"",			//  Governing Law 		.gidgrp.rec.jurlawc
								jurlawtxtc:"",			//  Governing Law 		.gidgrp.rec.jurlawtxtc
								jurplcc:"",			//  Place of Jurisdiction		.gidgrp.rec.jurplcc
								tenrefc:"",			//  Tender Reference		.gidgrp.rec.tenrefc
								tendatc:"",			//  Tender Date		.gidgrp.rec.tendatc
								trmdatc:"",			//  Latest Transmission		.gidgrp.rec.trmdatc
							},
							blk:{
								covgodsrv:"",			//  Object of Contract		.gidgrp.blk.covgodsrv
								orcplc:"",			//  Original Contract Place		.gidgrp.blk.orcplc
								addinf:"",			//  Additional Info		.gidgrp.blk.addinf
								atxcovgodsrv:"",			//  Underly. Transact. Det.		.gidgrp.blk.atxcovgodsrv
								gartyptxtin:"",			//  Specification of Type of Undertaking - Counter Undertaking		.gidgrp.blk.gartyptxtin
								apprul:"",			//  Applicable Rules		.gidgrp.blk.apprul
								apprultxt:"",			//  Applicable Rules		.gidgrp.blk.apprultxt
								exptxt:"",			//  Expiry Condition/ Evt.		.gidgrp.blk.exptxt
								atxexptxt:"",			//  Expiry Condition/ Evt.		.gidgrp.blk.atxexptxt
								liatxtc:"",			//  Liability Condition		.gidgrp.blk.liatxtc
								atxliatxtc:"",			//  Liability Condition		.gidgrp.blk.atxliatxtc
								deltoadr:"",			//  Delivery to Address		.gidgrp.blk.deltoadr
								preper:"",			//  Presentation Instr.		.gidgrp.blk.preper
								atxpreper:"",			//  Presentation Instr.		.gidgrp.blk.atxpreper
								trfcond:"",			//  Transfer Conditions		.gidgrp.blk.trfcond
								feetxt:"",			//  Additional Details to Code for Charges		.gidgrp.blk.feetxt
								gidtxt:{
									rows: []
								},			//  Guarantee Text		.gidgrp.blk.gidtxt
								gtxgidtxt:"",			//  Guarantee Text with Variables		.gidgrp.blk.gtxgidtxt
								gartyptxtc:"",			//  Undertaking Type 		.gidgrp.blk.gartyptxtc
								apprulc:"",			//  Applicable Rules		.gidgrp.blk.apprulc
								apprultxtc:"",			//  Applicable Rules		.gidgrp.blk.apprultxtc
								deltoadrc:"",			//  Delivery to Address		.gidgrp.blk.deltoadrc
								preperc:"",			//  Presentation Instr. 		.gidgrp.blk.preperc
								atxpreperc:"",			//  Presentation Instr. 		.gidgrp.blk.atxpreperc
								trfcondc:"",			//  Transfer Conditions		.gidgrp.blk.trfcondc
								feetxtc:"",			//  Additional Details to Code for Charges		.gidgrp.blk.feetxtc
								covgodsrvc:"",			//  Object of Contract - Local Undertaking Seq. C		.gidgrp.blk.covgodsrvc
								orcplcc:"",			//  Original Contract Place - Local Undertaking Seq. C		.gidgrp.blk.orcplcc
								addinfc:"",			//  Additional Info - Local Undertaking Seq. C		.gidgrp.blk.addinfc
								atxcovgodsrvc:"",			//  Underly. Transact. Det.		.gidgrp.blk.atxcovgodsrvc
								gidtxtc:"",			//  Guarantee Text  local undertaking		.gidgrp.blk.gidtxtc
								gtxgidtxtc:"",			//  Guarantee Text with Variables - Counter Undertaking		.gidgrp.blk.gtxgidtxtc
							},
							ghd:{
								bustyp:"",			//  业务类型		.gidgrp.ghd.bustyp
								wahnum:"",			//  仓库号		.gidgrp.ghd.wahnum
								remark:"",			//  备注		.gidgrp.ghd.remark
								aplnam:"",			//  申请人名称关税保函专用		.gidgrp.ghd.aplnam
								segtyp:"",			//  特殊保函类型		.gidgrp.ghd.segtyp
								idcode:"",			//  统一社会信用代码		.gidgrp.ghd.idcode
								zsjzts:"",			//  追索截止天数		.gidgrp.ghd.zsjzts
								bdbdbr:"",			//  被担保人法定代表人		.gidgrp.ghd.bdbdbr
								bdbrdz:"",			//  被担保人地址		.gidgrp.ghd.bdbrdz
								bdbrdh:"",			//  被担保人联系电话		.gidgrp.ghd.bdbrdh
								dbyhmc:"",			//  担保银行名称		.gidgrp.ghd.dbyhmc
								dbyhdb:"",			//  担保银行法定代表人		.gidgrp.ghd.dbyhdb
								dbyhdz:"",			//  担保银行地址		.gidgrp.ghd.dbyhdz
								dbyhdh:"",			//  担保银行联系电话		.gidgrp.ghd.dbyhdh
								sqrdbr:"",			//  申请人法定代表人		.gidgrp.ghd.sqrdbr
								sqradr:"",			//  申请人地址		.gidgrp.ghd.sqradr
								sqrtel:"",			//  申请人联系电话		.gidgrp.ghd.sqrtel
								bdbrmc:"",			//  被担保人名称		.gidgrp.ghd.bdbrmc
								sqqydm:"",			//  申请人企业代码		.gidgrp.ghd.sqqydm
								sqrnam:"",			//  申请人名称		.gidgrp.ghd.sqrnam
								sqqyhg:"",			//  申请人企业海关编码		.gidgrp.ghd.sqqyhg
								beyzd1:"",			//  备用字段1		.gidgrp.ghd.beyzd1
							},
							gidcxm:{
								benefi:"",			//  受益人名称		.gidgrp.gidcxm.benefi
								warran:"",			//  被保证人		.gidgrp.gidcxm.warran
								cxmflg:"",			//  是否显示查询码		.gidgrp.gidcxm.cxmflg
							},
							cbs:{
								max:{
									cur:"",			//  Guarantee Amount		.gidgrp.cbs.max.cur
									amt:"",			//  Guarantee Amount		.gidgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.gidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.gidgrp.cbs.opn1.amt
								},
								mac:{
									cur:"",			//  Guarantee Amount		.gidgrp.cbs.mac.cur
									amt:"",			//  Guarantee Amount		.gidgrp.cbs.mac.amt
								},
							},
							apl:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.apl.namelc
								adrelc:"",			//  地址		.gidgrp.apl.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.apl.dbfadrblkcn
							},
							ben:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.ben.namelc
								adrelc:"",			//  地址		.gidgrp.ben.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.ben.dbfadrblkcn
							},
							iss:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.iss.namelc
								adrelc:"",			//  地址		.gidgrp.iss.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.iss.dbfadrblkcn
							},
							adv:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.adv.namelc
								adrelc:"",			//  地址		.gidgrp.adv.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.adv.dbfadrblkcn
							},
							ctr:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.ctr.namelc
								adrelc:"",			//  地址		.gidgrp.ctr.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.ctr.dbfadrblkcn
							},
							atb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.atb.namelc
								adrelc:"",			//  地址		.gidgrp.atb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.atb.dbfadrblkcn
							},
							con:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.con.namelc
								adrelc:"",			//  地址		.gidgrp.con.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.con.dbfadrblkcn
							},
							bdb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.bdb.namelc
								adrelc:"",			//  地址		.gidgrp.bdb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.bdb.dbfadrblkcn
							},
							apc:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.apc.namelc
								adrelc:"",			//  地址		.gidgrp.apc.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.apc.dbfadrblkcn
							},
							ctc:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.ctc.namelc
								adrelc:"",			//  地址		.gidgrp.ctc.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.ctc.dbfadrblkcn
							},
							bec:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.bec.namelc
								adrelc:"",			//  地址		.gidgrp.bec.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.bec.dbfadrblkcn
							},
							avc:{
								pts:new Pts().data,
							},
						},
						setmod:new Pub().data.Setmod,
						mtabut:new Pub().data.Mtabut,
						trnmod:new Pub().data.Trnmod,
						liaall: new Pub().data.Liaall,
						decreadat:"",			//  Validity for Declaration of Readiness		.decreadat
						decreatxt:"",			//  Declaration of Readiness Text		.decreatxt
						pageId: ""			// ctx的key
				}
    }
}