import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Infbod{
    constructor () {
        this.data = {
						infcon:{
							seaownref:"",			//  Own Reference		.infcon.seaownref
							nam:"",			//  Name		.infcon.nam
							searef:"",			//  Party Reference		.infcon.searef
							pty:{
								extkey:"",			//  Select Single Party		.infcon.pty.extkey
								nam:"",			//  External Visible Name		.infcon.pty.nam
							},
							seapty:"",			//  Party Name/BIC		.infcon.seapty
							searol:"",			//  Role		.infcon.searol
							opndatfrom:"",			//  Opening between		.infcon.opndatfrom
							opndatto:"",			//  Open Date to		.infcon.opndatto
							usr:{
								extkey:"",			//  User ID		.infcon.usr.extkey
							},
							seasta:"",			//  Status		.infcon.seasta
							seacur:"",			//  Currency		.infcon.seacur
							seaamtfr:"",			//  Amount between		.infcon.seaamtfr
							seaamtto:"",			//  Amount to		.infcon.seaamtto
							relflg:"",			//  Release Status		.infcon.relflg
							cxmflg:"",			//  是否显示查询码		.infcon.cxmflg
							hndtyp:"",			//  Handling Type		.infcon.hndtyp
							chksubcon:"",			//  incl. all subcontracts		.infcon.chksubcon
							chktrnsta:"",			//  only active transactions		.infcon.chktrnsta
							trnstm:"",			//  stream for TRN to selected contract		.infcon.trnstm
							cbctxt:"",			//  CBS Column		.infcon.cbctxt
							cbbstm:"",			//  stream of CBBs		.infcon.cbbstm
							cbestm:"",			//  stream of CBEs		.infcon.cbestm
							feptxtlbl:"",			//  label used on FEP-Panel		.infcon.feptxtlbl
							fcptxtlbl:"",			//  Text label used on FCP-panel		.infcon.fcptxtlbl
							fepfeecod:"",			//  Fee Code		.infcon.fepfeecod
							fepdsp:"",			//  Disposition		.infcon.fepdsp
							fepstm:"",			//  stream for FEPs to selected contract		.infcon.fepstm
							fcpstm:"",			//  stream of foreign charges		.infcon.fcpstm
							fcpdsp:"",			//  Disposition		.infcon.fcpdsp
							setflg:"",			//  show temporary settlement that already settled		.infcon.setflg
							sepdelflg:"",			//  show temporary settlement that already deleted		.infcon.sepdelflg
							sepstm:"",			//  stream of SEPs		.infcon.sepstm
							seabucdatfro:"",			//  Booking date from		.infcon.seabucdatfro
							seabucdatto:"",			//  Booking date till used on GLEINFP		.infcon.seabucdatto
							seatrninr:"",			//  Transaction INR		.infcon.seatrninr
							glestm:"",			//  Stream of GLEs		.infcon.glestm
							smhcortyp:"",			//  Type of Document		.infcon.smhcortyp
							smhdatfrom:"",			//  Created between 		.infcon.smhdatfrom
							smhdatto:"",			//  created till		.infcon.smhdatto
							smhdir:"",			//  Direction		.infcon.smhdir
							chktrn:"",			//  Active only		.infcon.chktrn
							smhstm:"",			//  stream of documents to selected contract		.infcon.smhstm
							sptinc:"",			//  Incoming		.infcon.sptinc
							sptreg:"",			//  Registered		.infcon.sptreg
							sptpen:"",			//  Pending		.infcon.sptpen
							sptcor:"",			//  Correction		.infcon.sptcor
							sptdel:"",			//  Deleted		.infcon.sptdel
							sptstm:"",			//  stream for SPT to selected contract		.infcon.sptstm
							diadatfrom:"",			//  Date from		.infcon.diadatfrom
							diadatto:"",			//  date till		.infcon.diadatto
							diasta:"",			//  Status		.infcon.diasta
							diastm:"",			//  stream for diaries to selected contract		.infcon.diastm
							liastm:"",			//  Stream for all engagements to selected contract		.infcon.liastm
							ordstm:"",			//  Stream for Orders for Contract		.infcon.ordstm
							objinr:"",

						},
						seadoctypcod:"",			//  Payment Condition		.seadoctypcod
						infbut:{
							dspstm:"",			//  display stream		.infbut.dspstm
						},
						bodgrp:{
							rec:{
								matpertyp:"",			//  Days/Months or Years for Maturity Period		.bodgrp.rec.matpertyp
								ownref:"",			//  Reference		.bodgrp.rec.ownref
								nam:"",			//  Name		.bodgrp.rec.nam
								dircolflg:"",			//  Direct Collection		.bodgrp.rec.dircolflg
								resflg:"",			//  Reservated Contract		.bodgrp.rec.resflg
								rcvdat:"",			//  Order Date		.bodgrp.rec.rcvdat
								shpdat:"",			//  Shipment date		.bodgrp.rec.shpdat
								predat:"",			//  Presentation Date		.bodgrp.rec.predat
								advdat:"",			//  Dispatched on		.bodgrp.rec.advdat
								doctypcod:"",			//  Collection Condition		.bodgrp.rec.doctypcod
								matdat:"",			//  Maturity Date		.bodgrp.rec.matdat
								matpercnt:"",			//  Tenor Specification		.bodgrp.rec.matpercnt
								matperbeg:"",			//  Starting from		.bodgrp.rec.matperbeg
								stacty:"",			//  Country Code Risk Country!		.bodgrp.rec.stacty
								stagod:"",			//  Goods Code		.bodgrp.rec.stagod
								invtyp:"",			//  Maturity Date		.bodgrp.rec.invtyp
								paydoctyp:"",			//  Financial Document		.bodgrp.rec.paydoctyp
								paydocnum:"",			//  Document Number		.bodgrp.rec.paydocnum
								issdat:"",			//  Issued on		.bodgrp.rec.issdat
								ccdndrflg:"",			//  Truncation - Physical Document Kept w OWN		.bodgrp.rec.ccdndrflg
								ccdpurflg:"",			//  Payment Under Reserve		.bodgrp.rec.ccdpurflg
								shpfro:"",			//  Shipment from		.bodgrp.rec.shpfro
								shpto:"",			//  For Transportation to		.bodgrp.rec.shpto
								chato:"",			//  Our Charges to		.bodgrp.rec.chato
								focflg:"",			//  Free of Payment		.bodgrp.rec.focflg
								waicolcod:"",			//  Protest Instructions		.bodgrp.rec.waicolcod
								wairmtcod:"",			//  Waive Remitting Bank Charges		.bodgrp.rec.wairmtcod
								othins:"",			//  Defer Payment until		.bodgrp.rec.othins
								lescom:"",			//  Warehouse/Insurance		.bodgrp.rec.lescom
							},
							cbs:{
								max:{
									cur:"",			//  Document Amount		.bodgrp.cbs.max.cur
									amt:"",			//  Document Amount		.bodgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Warehouse/Insurance		.bodgrp.cbs.opn1.cur
									amt:"",			//  Open Amount		.bodgrp.cbs.opn1.amt
								},
							},
							blk:{
								bogdet:"",			//  Tenor Details Text		.bodgrp.blk.bogdet
								cctinsrcv:"",			//  Instructions Received		.bodgrp.blk.cctinsrcv
								cctinscol:"",			//  Collection Instruction		.bodgrp.blk.cctinscol
								dftins:"",			//  Draft Instructions		.bodgrp.blk.dftins
								intins:"",			//  Interest Instructions		.bodgrp.blk.intins
								setinsbo:"",			//  Settlement insrtrctions		.bodgrp.blk.setinsbo
								agtaut:"",			//  Authority of Agent		.bodgrp.blk.agtaut
								goddes:"",			//  Description of Goods		.bodgrp.blk.goddes
								colins:"",			//  Collection Instructions		.bodgrp.blk.colins
								colinsflg:"",			//  Collection instructions modified		.bodgrp.blk.colinsflg
								proins:"",			//  Protest Instructions		.bodgrp.blk.proins
								othins:"",			//  Other Instructions		.bodgrp.blk.othins
								chgtxt:"",			//  Charges Text		.bodgrp.blk.chgtxt
								delins:"",			//  Delivery instructions		.bodgrp.blk.delins
							},
							drr:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bodgrp.drr.namelc
								adrelc:"",			//  地址		.bodgrp.drr.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bodgrp.drr.dbfadrblkcn
							},
							col:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bodgrp.col.namelc
								adrelc:"",			//  地址		.bodgrp.col.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bodgrp.col.dbfadrblkcn
							},
							dre:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bodgrp.dre.namelc
								adrelc:"",			//  地址		.bodgrp.dre.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bodgrp.dre.dbfadrblkcn
							},
						},
						recpan:{
							recget:{
								sdamod:{
									seainf:"",			//  		.recpan.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
								},
							},
							usr:{
								extkey:"",			//  Responsible User		.recpan.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.recpan.usrget.sdamod.seainf
								},
							},
							docgrdm:{
								docdsclab:"",			//  Label of document description		.recpan.docgrdm.docdsclab
							},
							drrp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.drrp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.drrp.ptsget.sdamod.dadsnd
									},
								},
							},
							colp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.colp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.colp.ptsget.sdamod.dadsnd
									},
								},
							},
							drep:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.drep.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.drep.ptsget.sdamod.dadsnd
									},
								},
							},
							ptsaddp:{
								ptsaddg:[],			//  		.recpan.ptsaddp.ptsaddg
							},
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						prtpanblk:"",			//  XMLPanel prtpan的内置block		.prtpanblk
						pageId: ""			// ctx的key
				}
    }
}