import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Infbrd{
    constructor () {
        this.data = {
						infcon:{
							seaownref:"",			//  Own Reference		.infcon.seaownref
							nam:"",			//  Name		.infcon.nam
							searef:"",			//  Party Reference		.infcon.searef
							pty:{
								extkey:"",			//  Select Single Party		.infcon.pty.extkey
								nam:"",			//  External Visible Name		.infcon.pty.nam
							},
							seapty:"",			//  Party Name/BIC		.infcon.seapty
							searol:"",			//  Role		.infcon.searol
							opndatfrom:"",			//  Opening between		.infcon.opndatfrom
							opndatto:"",			//  Open Date to		.infcon.opndatto
							usr:{
								extkey:"",			//  User ID		.infcon.usr.extkey
							},
							seasta:"",			//  Status		.infcon.seasta
							seacur:"",			//  Currency		.infcon.seacur
							seaamtfr:"",			//  Amount between		.infcon.seaamtfr
							seaamtto:"",			//  Amount to		.infcon.seaamtto
							relflg:"",			//  Release Status		.infcon.relflg
							cxmflg:"",			//  是否显示查询码		.infcon.cxmflg
							hndtyp:"",			//  Handling Type		.infcon.hndtyp
							chksubcon:"",			//  incl. all subcontracts		.infcon.chksubcon
							chktrnsta:"",			//  only active transactions		.infcon.chktrnsta
							trnstm:"",			//  stream for TRN to selected contract		.infcon.trnstm
							cbctxt:"",			//  CBS Column		.infcon.cbctxt
							cbbstm:"",			//  stream of CBBs		.infcon.cbbstm
							cbestm:"",			//  stream of CBEs		.infcon.cbestm
							feptxtlbl:"",			//  label used on FEP-Panel		.infcon.feptxtlbl
							fcptxtlbl:"",			//  Text label used on FCP-panel		.infcon.fcptxtlbl
							fepfeecod:"",			//  Fee Code		.infcon.fepfeecod
							fepdsp:"",			//  Disposition		.infcon.fepdsp
							fepstm:"",			//  stream for FEPs to selected contract		.infcon.fepstm
							fcpstm:"",			//  stream of foreign charges		.infcon.fcpstm
							fcpdsp:"",			//  Disposition		.infcon.fcpdsp
							setflg:"",			//  show temporary settlement that already settled		.infcon.setflg
							sepdelflg:"",			//  show temporary settlement that already deleted		.infcon.sepdelflg
							sepstm:"",			//  stream of SEPs		.infcon.sepstm
							seabucdatfro:"",			//  Booking date from		.infcon.seabucdatfro
							seabucdatto:"",			//  Booking date till used on GLEINFP		.infcon.seabucdatto
							seatrninr:"",			//  Transaction INR		.infcon.seatrninr
							glestm:"",			//  Stream of GLEs		.infcon.glestm
							smhcortyp:"",			//  Type of Document		.infcon.smhcortyp
							smhdatfrom:"",			//  Created between 		.infcon.smhdatfrom
							smhdatto:"",			//  created till		.infcon.smhdatto
							smhdir:"",			//  Direction		.infcon.smhdir
							chktrn:"",			//  Active only		.infcon.chktrn
							smhstm:"",			//  stream of documents to selected contract		.infcon.smhstm
							sptinc:"",			//  Incoming		.infcon.sptinc
							sptreg:"",			//  Registered		.infcon.sptreg
							sptpen:"",			//  Pending		.infcon.sptpen
							sptcor:"",			//  Correction		.infcon.sptcor
							sptdel:"",			//  Deleted		.infcon.sptdel
							sptstm:"",			//  stream for SPT to selected contract		.infcon.sptstm
							diadatfrom:"",			//  Date from		.infcon.diadatfrom
							diadatto:"",			//  date till		.infcon.diadatto
							diasta:"",			//  Status		.infcon.diasta
							diastm:"",			//  stream for diaries to selected contract		.infcon.diastm
							liastm:"",			//  Stream for all engagements to selected contract		.infcon.liastm
							ordstm:"",			//  Stream for Orders for Contract		.infcon.ordstm
						},
						seadocflg:"",			//  Document Type		.seadocflg
						infbut:{
							dspstm:"",			//  display stream		.infbut.dspstm
						},
						seagodcod:"",			//  Goods Code		.seagodcod
						brdgrp:{
							rec:{
								ownref:"",			//  单据参考号		.brdgrp.rec.ownref
								nam:"",			//  Name of Bill Contract		.brdgrp.rec.nam
								rcvdat:"",			//  到单日期		.brdgrp.rec.rcvdat
								advdat:"",			//  Date of Advice of Payment		.brdgrp.rec.advdat
								docflg:"",			//  单据类型		.brdgrp.rec.docflg
								docsta:"",			//  单据状态		.brdgrp.rec.docsta
								matdat:"",			//  Maturity Date		.brdgrp.rec.matdat
								tenmaxday:"",			//  Tenor day		.brdgrp.rec.tenmaxday
								stadat:"",			//  远期单据到期日		.brdgrp.rec.stadat
								igndisflg:"",			//  Ignore Discrepancies		.brdgrp.rec.igndisflg
								advtyp:"",			//  Type of Advice Received		.brdgrp.rec.advtyp
								totdat:"",			//  付款日期		.brdgrp.rec.totdat
								disdat:"",			//  Discrepancy Advice Dated		.brdgrp.rec.disdat
								approvcod:"",			//  Documents on Approval Basis		.brdgrp.rec.approvcod
								relgodflg:"",			//  Release of Goods		.brdgrp.rec.relgodflg
								reltyp:"",			//  Release Type		.brdgrp.rec.reltyp
								relgoddat:"",			//  issue date		.brdgrp.rec.relgoddat
								expdat:"",			//  Expiry Date of Shipping Guarantee		.brdgrp.rec.expdat
								trpdoctyp:"",			//  Transport Doc. Type		.brdgrp.rec.trpdoctyp
								trpdocnum:"",			//  Transport Doc. No.		.brdgrp.rec.trpdocnum
								tradat:"",			//  shipment date		.brdgrp.rec.tradat
								tramod:"",			//  Mode of Transport		.brdgrp.rec.tramod
								rtoaplflg:"",			//  Release Goods to Applicant ?		.brdgrp.rec.rtoaplflg
								ngrcod:"",			//  Goods code		.brdgrp.rec.ngrcod
								blnum:"",			//  B/L Number		.brdgrp.rec.blnum
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.brdgrp.cbs.max.cur
									amt:"",			//  单据金额		.brdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.brdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.brdgrp.cbs.opn1.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
							},
							blk:{
								comcon:"",			//  Comments and Conclusions		.brdgrp.blk.comcon
								setinsbr:"",			//  Settlement Instructions BR		.brdgrp.blk.setinsbr
								docdis:"",			//  Discrepancies		.brdgrp.blk.docdis
								docdisflg:"",			//  discrepancies modified		.brdgrp.blk.docdisflg
								vesnam:"",			//  Vessel Name		.brdgrp.blk.vesnam
								pordis:"",			//  Port of Discharge		.brdgrp.blk.pordis
								delplc:"",			//  Place of Delivery		.brdgrp.blk.delplc
								roggod:"",			//  Covered Goods		.brdgrp.blk.roggod
								relstoadr:"",			//  Release to Address		.brdgrp.blk.relstoadr
								porlod:"",			//  Port of loading		.brdgrp.blk.porlod
								voynum:"",			//  Voyage numer		.brdgrp.blk.voynum
								notpty:"",			//  Notify Party		.brdgrp.blk.notpty
								carnam:"",			//  Carrier		.brdgrp.blk.carnam
							},
							shp:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.shp.namelc
								adrelc:"",			//  地址		.brdgrp.shp.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.shp.dbfadrblkcn
							},
						},
						lidgrp:{
							rec:{
								ownref:"",			//  信用证编号		.lidgrp.rec.ownref
								expdat:"",			//  Date of Expiry		.lidgrp.rec.expdat
							},
							cbs:{
								opn1:{
									cur:"",			//  Currency		.lidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.lidgrp.cbs.opn1.amt
								},
							},
						},
						recpan:{
							lidget:{
								sdamod:{
									seainf:"",			//  		.recpan.lidget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.lidget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
									seainf:"",			//  		.recpan.recget.sdamod.seainf
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.recpan.matp.mattxtlab
							},
							prechkdat:"",			//  预计核验日期		.recpan.prechkdat
							ischktyp:"",			//  是否需要核验		.recpan.ischktyp
							docgrdm:{
								docdsclab:"",			//  Label of document description		.recpan.docgrdm.docdsclab
							},
							cre752flg:"",			//  Create 752		.recpan.cre752flg
							furide:"",			//  Further Identification		.recpan.furide
							cre732flg:"",			//  Create MT 732		.recpan.cre732flg
							shpp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.shpp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.shpp.ptsget.sdamod.dadsnd
									},
								},
							},
							connum:"",			//  Contract Number		.recpan.connum
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						prtpanblk:"",			//  XMLPanel prtpan的内置block		.prtpanblk
						pageId: ""			// ctx的key
				}
    }
}