import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Inflid{
    constructor () {
        this.data = {
						infcon:{
							seaownref:"",			//  Own Reference		.infcon.seaownref
							nam:"",			//  Name		.infcon.nam
							searef:"",			//  Party Reference		.infcon.searef
							pty:{
								extkey:"",			//  Select Single Party		.infcon.pty.extkey
								nam:"",			//  External Visible Name		.infcon.pty.nam
							},
							seapty:"",			//  Party Name/BIC		.infcon.seapty
							searol:"",			//  Role		.infcon.searol
							opndatfrom:"",			//  Opening between		.infcon.opndatfrom
							opndatto:"",			//  Open Date to		.infcon.opndatto
							usr:{
								extkey:"",			//  User ID		.infcon.usr.extkey
							},
							seasta:"",			//  Status		.infcon.seasta
							seacur:"",			//  Currency		.infcon.seacur
							seaamtfr:"",			//  Amount between		.infcon.seaamtfr
							seaamtto:"",			//  Amount to		.infcon.seaamtto
							relflg:"",			//  Release Status		.infcon.relflg
							cxmflg:"",			//  是否显示查询码		.infcon.cxmflg
							hndtyp:"",			//  Handling Type		.infcon.hndtyp
							chksubcon:"",			//  incl. all subcontracts		.infcon.chksubcon
							chktrnsta:"",			//  only active transactions		.infcon.chktrnsta
							trnstm:"",			//  stream for TRN to selected contract		.infcon.trnstm
							cbctxt:"",			//  CBS Column		.infcon.cbctxt
							cbbstm:"",			//  stream of CBBs		.infcon.cbbstm
							cbestm:"",			//  stream of CBEs		.infcon.cbestm
							feptxtlbl:"",			//  label used on FEP-Panel		.infcon.feptxtlbl
							fcptxtlbl:"",			//  Text label used on FCP-panel		.infcon.fcptxtlbl
							fepfeecod:"",			//  Fee Code		.infcon.fepfeecod
							fepdsp:"",			//  Disposition		.infcon.fepdsp
							fepstm:"",			//  stream for FEPs to selected contract		.infcon.fepstm
							fcpstm:"",			//  stream of foreign charges		.infcon.fcpstm
							fcpdsp:"",			//  Disposition		.infcon.fcpdsp
							setflg:"",			//  show temporary settlement that already settled		.infcon.setflg
							sepdelflg:"",			//  show temporary settlement that already deleted		.infcon.sepdelflg
							sepstm:"",			//  stream of SEPs		.infcon.sepstm
							seabucdatfro:"",			//  Booking date from		.infcon.seabucdatfro
							seabucdatto:"",			//  Booking date till used on GLEINFP		.infcon.seabucdatto
							seatrninr:"",			//  Transaction INR		.infcon.seatrninr
							glestm:"",			//  Stream of GLEs		.infcon.glestm
							smhcortyp:"",			//  Type of Document		.infcon.smhcortyp
							smhdatfrom:"",			//  Created between 		.infcon.smhdatfrom
							smhdatto:"",			//  created till		.infcon.smhdatto
							smhdir:"",			//  Direction		.infcon.smhdir
							chktrn:"",			//  Active only		.infcon.chktrn
							smhstm:"",			//  stream of documents to selected contract		.infcon.smhstm
							sptinc:"",			//  Incoming		.infcon.sptinc
							sptreg:"",			//  Registered		.infcon.sptreg
							sptpen:"",			//  Pending		.infcon.sptpen
							sptcor:"",			//  Correction		.infcon.sptcor
							sptdel:"",			//  Deleted		.infcon.sptdel
							sptstm:"",			//  stream for SPT to selected contract		.infcon.sptstm
							diadatfrom:"",			//  Date from		.infcon.diadatfrom
							diadatto:"",			//  date till		.infcon.diadatto
							diasta:"",			//  Status		.infcon.diasta
							diastm:"",			//  stream for diaries to selected contract		.infcon.diastm
							liastm:"",			//  Stream for all engagements to selected contract		.infcon.liastm
							ordstm:"",			//  Stream for Orders for Contract		.infcon.ordstm
							objinr:"",
						},
						seacnfdet:"",			//  Confirmation Status		.seacnfdet
						sealcrtyp:"",			//  form of L/C		.sealcrtyp
						infbut:{
							dspstm:[],			//  display stream		.infbut.dspstm
						},
						seagodcod:"",			//  Goods Code		.seagodcod
						jyqflg:"",			//  假远期信用证		.jyqflg
						mylx:"",			//  贸易类型		.mylx
						elcflg:"",			//  是否通过电证系统		.elcflg
						
						lidgrp:{
							rec:{
								inr:"",
								ownref:"",			//  Reference		.lidgrp.rec.ownref
								lcrtyp:"",			//  Form of L/C		.lidgrp.rec.lcrtyp
								nomtop:"",			//  Amount Tolerance +/-		.lidgrp.rec.nomtop
								nomton:"",			//  Amount Tolerance - Negative		.lidgrp.rec.nomton
								nomspc:"",			//  Amount Specification		.lidgrp.rec.nomspc
								opndat:"",			//  L/C Issued on		.lidgrp.rec.opndat
								preadvdt:"",			//  Date Pre-advised		.lidgrp.rec.preadvdt
								shpdat:"",			//  Latest Shipment Date		.lidgrp.rec.shpdat
								expdat:"",			//  L/C Expiring on		.lidgrp.rec.expdat
								expplc:"",			//  in (Place)/ counters of		.lidgrp.rec.expplc
								shppar:"",			//  Partial Shipment		.lidgrp.rec.shppar
								shptrs:"",			//  Transhipment		.lidgrp.rec.shptrs
								apprul:"",			//  Applicable Rules		.lidgrp.rec.apprul
								apprultxt:"",			//  Other Applicable Rules		.lidgrp.rec.apprultxt
								cnfdet:"",			//  Confirm. Instructions		.lidgrp.rec.cnfdet
								rmbflg:"",			//  Reimbursement Information		.lidgrp.rec.rmbflg
								revflg:"",			//  Revolving Flag		.lidgrp.rec.revflg
								nam:"",			//  Name		.lidgrp.rec.nam
								resflg:"",			//  Reserved Contract		.lidgrp.rec.resflg
								shppars18:"",			//  Partial Shipment		.lidgrp.rec.shppars18
								shptrss18:"",			//  Transhipment		.lidgrp.rec.shptrss18
								guaflg:"",			//  Mortgage Flag		.lidgrp.rec.guaflg
								regref:"",			//  Register Ref.		.lidgrp.rec.regref
								rptref:"",			//  合同号		.lidgrp.rec.rptref
								oppbnk:"",			//  对手行代码		.lidgrp.rec.oppbnk
								dkflg:"",			//  是否代开信用证		.lidgrp.rec.dkflg
								avbwth:"",			//  Available with		.lidgrp.rec.avbwth
								avbby:"",			//  Available by		.lidgrp.rec.avbby
								shpfro:"",			//  Dispatch from		.lidgrp.rec.shpfro
								porloa:"",			//  Air-/Port of Departure		.lidgrp.rec.porloa
								pordis:"",			//  Air-/Port of Destination		.lidgrp.rec.pordis
								shpto:"",			//  Final Destination		.lidgrp.rec.shpto
								chato:"",			//  Drafts at		.lidgrp.rec.chato
								stacty:"",			//  Country Code Risk Country		.lidgrp.rec.stacty
								tenmaxday:"",			//  Maximum tenor in days		.lidgrp.rec.tenmaxday
								prepers18:"",			//  Days of presentation period		.lidgrp.rec.prepers18
								prepertxts18:"",			//  Presentation period text		.lidgrp.rec.prepertxts18
								spcbenflg:"",			//  Special payment conditions for beneficiary exists		.lidgrp.rec.spcbenflg
								spcrcbflg:"",			//  Special Payment Conditions for specified Bank only		.lidgrp.rec.spcrcbflg
								redclsflg:"",			//  Red/Green Clause		.lidgrp.rec.redclsflg
								stagod:"",			//  Goods Code 		.lidgrp.rec.stagod
							},
							cbs:{
								nom1:{
									cur:"",			//  Nominal Amount		.lidgrp.cbs.nom1.cur
									amt:"",			//  Nominal Amount		.lidgrp.cbs.nom1.amt
								},
								max:{
									cur:"",			//  Maximum Amount		.lidgrp.cbs.max.cur
									amt:"",			//  Maximum Amount		.lidgrp.cbs.max.amt
								},
							},
							apl:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.apl.namelc
								adrelc:"",			//  地址		.lidgrp.apl.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.apl.dbfadrblkcn
							},
							adv:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.adv.namelc
								adrelc:"",			//  地址		.lidgrp.adv.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.adv.dbfadrblkcn
							},
							ben:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.ben.namelc
								adrelc:"",			//  地址		.lidgrp.ben.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.ben.dbfadrblkcn
							},
							avb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.avb.namelc
								adrelc:"",			//  地址		.lidgrp.avb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.avb.dbfadrblkcn
							},
							blk:{
								avbwthtxt:"",			//  Available in		.lidgrp.blk.avbwthtxt
								defdet:"",			//  Deferred Payment Details		.lidgrp.blk.defdet
								dftat:"",			//  Drafts at		.lidgrp.blk.dftat
								shpper:"",			//  Shipment Period		.lidgrp.blk.shpper
								preper:"",			//  Presentation Period		.lidgrp.blk.preper
								preperflg:"",			//  Presentation Period modified		.lidgrp.blk.preperflg
								feetxt:"",			//  Additional Details to Code for Charges		.lidgrp.blk.feetxt
								mixdet:"",			//  Mixed Payment Details		.lidgrp.blk.mixdet
								lcrdoc:"",			//  Documents Required		.lidgrp.blk.lcrdoc
								adlcnd:"",			//  Additional Conditions		.lidgrp.blk.adlcnd
								insbnk:"",			//  Instructions to Pay.,		.lidgrp.blk.insbnk
								lcrgod:"",			//  Description. of Goods		.lidgrp.blk.lcrgod
							},
							drw:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.drw.namelc
								adrelc:"",			//  地址		.lidgrp.drw.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.drw.dbfadrblkcn
							},
							ini:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.ini.namelc
								adrelc:"",			//  地址		.lidgrp.ini.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.ini.dbfadrblkcn
							},
							rmb:{
								pts:new Pts().data,
							},
							a2b:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.a2b.namelc
								adrelc:"",			//  地址		.lidgrp.a2b.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.a2b.dbfadrblkcn
							},
							con:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.con.namelc
								adrelc:"",			//  地址		.lidgrp.con.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.con.dbfadrblkcn
							},
						},
						recpan:{
							recget:{
								sdamod:{
									seainf:"",			//  		.recpan.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
								},
							},
							usr:{
								extkey:"",			//  Responsible User		.recpan.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.recpan.usrget.sdamod.seainf
								},
							},
							aamp:{
								aammod:{
									addamtflg:"",			//  Add. Amount		.recpan.aamp.aammod.addamtflg
								},
							},
							aplp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.aplp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.aplp.ptsget.sdamod.dadsnd
									},
								},
							},
							advp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.advp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.advp.ptsget.sdamod.dadsnd
									},
								},
							},
							benp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.benp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.benp.ptsget.sdamod.dadsnd
									},
								},
							},
							oppbnkl:"",			//  对手行代码		.recpan.oppbnkl
							avbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.avbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.avbp.ptsget.sdamod.dadsnd
									},
								},
							},
							drwp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.drwp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.drwp.ptsget.sdamod.dadsnd
									},
								},
							},
							defdetlab:"",			//  Label DEFDET		.recpan.defdetlab
							avblab:"",			//  Label Available with Bank		.recpan.avblab
							inip:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.inip.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.inip.ptsget.sdamod.dadsnd
									},
								},
							},
							rmbp:{
								ptsget:{
									sdamod:{
										dadsnd:"",			//  Drag  Drop Sender		.recpan.rmbp.ptsget.sdamod.dadsnd
										seainf:"",			//  		.recpan.rmbp.ptsget.sdamod.seainf
									},
								},
							},
							a2bp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.a2bp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.a2bp.ptsget.sdamod.dadsnd
									},
								},
							},
							ptsaddp:{
								ptsaddg:[],			//  		.recpan.ptsaddp.ptsaddg
							},
							conp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.conp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.conp.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						prtpanblk:"",			//  XMLPanel prtpan的内置block		.prtpanblk
						pageId: ""	,		// ctx的key
						// didgrp:{
						// 	rec:{
						// 		ownref:"",
						// 	},
						// },
					}
    }
}