import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"
export default class Litdla{
    constructor () {
        this.data = {
						lidgrp:{
							rec:{
								ownref:"",			//  Reference		.lidgrp.rec.ownref
								nam:"",			//  Name		.lidgrp.rec.nam
								avbby:"",			//  Available by		.lidgrp.rec.avbby
								opndat:"",			//  L/C Issued on		.lidgrp.rec.opndat
								shpdat:"",			//  Latest Shipment Date		.lidgrp.rec.shpdat
								expdat:"",			//  L/C Expiring on		.lidgrp.rec.expdat
								expplc:"",			//  in (Place)/ counters of		.lidgrp.rec.expplc
								lcrtyp:"",			//  Form of L/C		.lidgrp.rec.lcrtyp
								nomtop:"",			//  Amount Tolerance +/-		.lidgrp.rec.nomtop
								nomton:"",			//  Amount Tolerance - Negative		.lidgrp.rec.nomton
								nomspc:"",			//  Amount Specification		.lidgrp.rec.nomspc
								preadvdt:"",			//  Date Pre-advised		.lidgrp.rec.preadvdt
								shppar:"",			//  Partial Shipment		.lidgrp.rec.shppar
								shptrs:"",			//  Transhipment		.lidgrp.rec.shptrs
								apprul:"",			//  Applicable Rules		.lidgrp.rec.apprul
								apprultxt:"",			//  Other Applicable Rules		.lidgrp.rec.apprultxt
								cnfdet:"",			//  Confirm. Instructions		.lidgrp.rec.cnfdet
								rmbflg:"",			//  Reimbursement Information		.lidgrp.rec.rmbflg
								revflg:"",			//  Revolving Flag		.lidgrp.rec.revflg
								resflg:"",			//  Reserved Contract		.lidgrp.rec.resflg
								shppars18:"",			//  Partial Shipment		.lidgrp.rec.shppars18
								shptrss18:"",			//  Transhipment		.lidgrp.rec.shptrss18
								guaflg:"",			//  Mortgage Flag		.lidgrp.rec.guaflg
								regref:"",			//  Register Ref.		.lidgrp.rec.regref
								rptref:"",			//  合同号		.lidgrp.rec.rptref
								oppbnk:"",			//  对手行代码		.lidgrp.rec.oppbnk
								dkflg:"",			//  是否代开信用证		.lidgrp.rec.dkflg
								avbwth:"",			//  Available with		.lidgrp.rec.avbwth
								shpfro:"",			//  Dispatch from		.lidgrp.rec.shpfro
								porloa:"",			//  Air-/Port of Departure		.lidgrp.rec.porloa
								pordis:"",			//  Air-/Port of Destination		.lidgrp.rec.pordis
								shpto:"",			//  Final Destination		.lidgrp.rec.shpto
								chato:"",			//  Drafts at		.lidgrp.rec.chato
								stacty:"",			//  Country Code Risk Country		.lidgrp.rec.stacty
								tenmaxday:"",			//  Maximum tenor in days		.lidgrp.rec.tenmaxday
								prepers18:"",			//  Days of presentation period		.lidgrp.rec.prepers18
								prepertxts18:"",			//  Presentation period text		.lidgrp.rec.prepertxts18
								redclsflg:"",			//  Red/Green Clause		.lidgrp.rec.redclsflg
								spcbenflg:"",			//  Special payment conditions for beneficiary exists		.lidgrp.rec.spcbenflg
								spcrcbflg:"",			//  Special Payment Conditions for specified Bank only		.lidgrp.rec.spcrcbflg
								stagod:"",			//  Goods Code 		.lidgrp.rec.stagod
							},
							cbs:{
								nom1:{
									cur:"",			//  Nominal Amount		.lidgrp.cbs.nom1.cur
									amt:"",			//  Nominal Amount		.lidgrp.cbs.nom1.amt
								},
								opn1:{
									cur:"",			//  信用证余额		.lidgrp.cbs.opn1.cur
									amt:"",			//  信用证余额		.lidgrp.cbs.opn1.amt
								},
								max2:{
									cur:"",			//  Currency		.lidgrp.cbs.max2.cur
								},
								max:{
									cur:"",			//  Maximum Amount		.lidgrp.cbs.max.cur
									amt:"",			//  Maximum Amount		.lidgrp.cbs.max.amt
								},
							},
							avbnam:"",			//  指定银行		.lidgrp.avbnam
							apl:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.apl.namelc
								adrelc:"",			//  地址		.lidgrp.apl.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.apl.dbfadrblkcn
							},
							ben:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.ben.namelc
								adrelc:"",			//  地址		.lidgrp.ben.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.ben.dbfadrblkcn
							},
							adv:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.adv.namelc
								adrelc:"",			//  地址		.lidgrp.adv.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.adv.dbfadrblkcn
							},
							avb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.avb.namelc
								adrelc:"",			//  地址		.lidgrp.avb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.avb.dbfadrblkcn
							},
							blk:{
								avbwthtxt:"",			//  Available in		.lidgrp.blk.avbwthtxt
								defdet:"",			//  Deferred Payment Details		.lidgrp.blk.defdet
								dftat:"",			//  Drafts at		.lidgrp.blk.dftat
								shpper:"",			//  Shipment Period		.lidgrp.blk.shpper
								preper:"",			//  Presentation Period		.lidgrp.blk.preper
								preperflg:"",			//  Presentation Period modified		.lidgrp.blk.preperflg
								feetxt:"",			//  Additional Details to Code for Charges		.lidgrp.blk.feetxt
								mixdet:"",			//  Mixed Payment Details		.lidgrp.blk.mixdet
								lcrgod:"",			//  Description. of Goods		.lidgrp.blk.lcrgod
								lcrgodame:"",			//  Description of Goods Amendment History		.lidgrp.blk.lcrgodame
								lcrdoc:"",			//  Documents Required		.lidgrp.blk.lcrdoc
								lcrdocame:"",			//  Documents Required Amendment History		.lidgrp.blk.lcrdocame
								adlcnd:"",			//  Additional Conditions		.lidgrp.blk.adlcnd
								adlcndame:"",			//  Additional  Conditions Amendment History		.lidgrp.blk.adlcndame
								insbnk:"",			//  Instructions to Paying/Accepting/Negotiating Bank		.lidgrp.blk.insbnk
								insbnkame:"",			//  Instructions to P/A/N Amendment History		.lidgrp.blk.insbnkame
							},
							drw:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.drw.namelc
								adrelc:"",			//  地址		.lidgrp.drw.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.drw.dbfadrblkcn
							},
							ini:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.ini.namelc
								adrelc:"",			//  地址		.lidgrp.ini.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.ini.dbfadrblkcn
							},
							rmb:{
								pts:new Pts().data,
							},
							a2b:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.a2b.namelc
								adrelc:"",			//  地址		.lidgrp.a2b.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.a2b.dbfadrblkcn
							},
							con:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.con.namelc
								adrelc:"",			//  地址		.lidgrp.con.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.con.dbfadrblkcn
							},
						},
						decstm:"",			//  Decrease limits stream		.decstm
						amenbr:"",			//  Amendment No.		.amenbr
						amedat:"",			//  Amount Amend Date		.amedat
						amecur:"",			//  Amount Amend Cur		.amecur
						ameflg:"",			//  是否接受此笔减额修改		.ameflg
						reduceamt:"",			//  修改金额		.reduceamt
						litamep:{
							ramrollab:"",			//  Label for RAMROL		.litamep.ramrollab
							recget:{
								sdamod:{
									seainf:"",			//  参考号		.litamep.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.litamep.recget.sdamod.dadsnd
								},
							},
							engcur:"",			//  修改总金额		.litamep.engcur
							engamt:"",			//  修改总金额		.litamep.engamt
							maxcur:"",			//  Currency of Maximum Amount		.litamep.maxcur
							maxamt:"",			//  New Maximum Amount		.litamep.maxamt
							cre707flg:"",			//  Create Amendment Message		.litamep.cre707flg
							ramrol:"",			//  Request of Amendment send to		.litamep.ramrol
							amenbr:"",			//  实际修改次数		.litamep.amenbr
							lcrgodamep:{
								modflg:"",			//  Modify Text to Replace		.litamep.lcrgodamep.modflg
								modmanflg:"",			//  Modify field for manual update		.litamep.lcrgodamep.modmanflg
								usrblk:"",			//  Block to enter additional info for Add/Delete		.litamep.lcrgodamep.usrblk
							},
							lcrdocamep:{
								usrblk:"",			//  Block to enter additional info for Add/Delete		.litamep.lcrdocamep.usrblk
								modflg:"",			//  Modify Text to Replace		.litamep.lcrdocamep.modflg
								modmanflg:"",			//  Modify field for manual update		.litamep.lcrdocamep.modmanflg
							},
							adlcndamep:{
								usrblk:"",			//  Block to enter additional info for Add/Delete		.litamep.adlcndamep.usrblk
								modflg:"",			//  Modify Text to Replace		.litamep.adlcndamep.modflg
								modmanflg:"",			//  Modify field for manual update		.litamep.adlcndamep.modmanflg
							},
						},
						trnmod:new Pub().data.Trnmod,
						oldlidgrp:{
							cbs:{
								nom1:{
									amt:"",			//  信用证金额		.oldlidgrp.cbs.nom1.amt
								},
								max:{
									cur:"",			//  Currency		.oldlidgrp.cbs.max.cur
									amt:"",			//  Balance		.oldlidgrp.cbs.max.amt
								},
							},
							rec:{
								nomtop:"",			//  Amount Tolerance - Positive		.oldlidgrp.rec.nomtop
								nomton:"",			//  Amount Tolerance - Negative		.oldlidgrp.rec.nomton
								expdat:"",			//  到期日		.oldlidgrp.rec.expdat
								shpdat:"",			//  装运日		.oldlidgrp.rec.shpdat
								prepertxts18:"",			//  Presentation period text		.oldlidgrp.rec.prepertxts18
								prepers18:"",			//  Presentation Period		.oldlidgrp.rec.prepers18
							},
							blk:{
								preper:"",			//  Presentation Period		.oldlidgrp.blk.preper
								narhis:"",			//  Historic Overview of Narratives		.oldlidgrp.blk.narhis
							},
						},
						litp:{
							aamp:{
								aammod:{
									addamtflg:"",			//  Add. Amount		.litp.aamp.aammod.addamtflg
								},
							},
							recget:{
								sdamod:{
									seainf:"",			//  		.litp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.litp.recget.sdamod.dadsnd
								},
							},
							usr:{
								extkey:"",			//  Responsible User		.litp.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.litp.usrget.sdamod.seainf
								},
							},
							aplp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.aplp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.aplp.ptsget.sdamod.dadsnd
									},
								},
							},
							advp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.advp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.advp.ptsget.sdamod.dadsnd
									},
								},
							},
							benp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.benp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.benp.ptsget.sdamod.dadsnd
									},
								},
							},
							oppbnkl:"",			//  对手行代码		.litp.oppbnkl
							avbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.avbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.avbp.ptsget.sdamod.dadsnd
									},
								},
							},
							drwp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.drwp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.drwp.ptsget.sdamod.dadsnd
									},
								},
							},
							defdetlab:"",			//  Label DEFDET		.litp.defdetlab
							avblab:"",			//  Label Available with Bank		.litp.avblab
							inip:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.inip.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.inip.ptsget.sdamod.dadsnd
									},
								},
							},
							rmbp:{
								ptsget:{
									sdamod:{
										dadsnd:"",			//  Drag  Drop Sender		.litp.rmbp.ptsget.sdamod.dadsnd
										seainf:"",			//  		.litp.rmbp.ptsget.sdamod.seainf
									},
								},
							},
							a2bp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.a2bp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.a2bp.ptsget.sdamod.dadsnd
									},
								},
							},
							ptsaddp:{
								ptsaddg:[],			//  		.litp.ptsaddp.ptsaddg
							},
							conp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.conp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.conp.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						liaall:new Pub().data.Liaall,
						setmod: new Pub().data.Setmod,
						mtabut : new Pub().data.Mtabut,
						pageId: ""			// ctx的key
				}

    }
}