import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"
export default class Litopn{
    constructor () {
        this.data = {
						addbcbl1blk:"",
						litbenl1blk:"",
						litapll1blk:"",
						litrmbl1blk:"",
						lidgrp:{
							rec:{
								ownref:"",			//  Reference		.lidgrp.rec.ownref
								lcrtyp:"",			//  Form of L/C		.lidgrp.rec.lcrtyp
								nomtop:"",			//  Amount Tolerance +/-		.lidgrp.rec.nomtop
								nomton:"",			//  Amount Tolerance - Negative		.lidgrp.rec.nomton
								nomspc:"",			//  Amount Specification		.lidgrp.rec.nomspc
								opndat:"",			//  L/C Issued on		.lidgrp.rec.opndat
								preadvdt:"",			//  Date Pre-advised		.lidgrp.rec.preadvdt
								shpdat:"",			//  Latest Shipment Date		.lidgrp.rec.shpdat
								expdat:"",			//  L/C Expiring on		.lidgrp.rec.expdat
								expplc:"",			//  in (Place)/ counters of		.lidgrp.rec.expplc
								shppar:"",			//  Partial Shipment		.lidgrp.rec.shppar
								shptrs:"",			//  Transhipment		.lidgrp.rec.shptrs
								apprul:"",			//  Applicable Rules		.lidgrp.rec.apprul
								apprultxt:"",			//  Other Applicable Rules		.lidgrp.rec.apprultxt
								cnfdet:"",			//  Confirm. Instructions		.lidgrp.rec.cnfdet
								rmbflg:"",			//  Reimbursement Information		.lidgrp.rec.rmbflg
								revflg:"",			//  Revolving Flag		.lidgrp.rec.revflg
								nam:".0.00",			//  Name		.lidgrp.rec.nam
								resflg:"",			//  Reserved Contract		.lidgrp.rec.resflg
								shppars18:"",			//  Partial Shipment		.lidgrp.rec.shppars18
								shptrss18:"",			//  Transhipment		.lidgrp.rec.shptrss18
								guaflg:"",			//  Mortgage Flag		.lidgrp.rec.guaflg
								regref:"",			//  Register Ref.		.lidgrp.rec.regref
								rptref:"",			//  合同号		.lidgrp.rec.rptref
								oppbnk:"",			//  对手行代码		.lidgrp.rec.oppbnk
								dkflg:"",			//  是否代开信用证		.lidgrp.rec.dkflg
								avbwth:"",			//  Available with		.lidgrp.rec.avbwth
								avbby:"",			//  Available by		.lidgrp.rec.avbby
								shpfro:"",			//  Dispatch from		.lidgrp.rec.shpfro
								porloa:"",			//  Air-/Port of Departure		.lidgrp.rec.porloa
								pordis:"",			//  Air-/Port of Destination		.lidgrp.rec.pordis
								shpto:"",			//  Final Destination		.lidgrp.rec.shpto
								chato:"",			//  Drafts at		.lidgrp.rec.chato
								stacty:"",			//  Country Code Risk Country		.lidgrp.rec.stacty
								tenmaxday:"0",			//  Maximum tenor in days		.lidgrp.rec.tenmaxday
								prepers18:"21",			//  Days of presentation period		.lidgrp.rec.prepers18
								prepertxts18:"",			//  Presentation period text		.lidgrp.rec.prepertxts18
								stagod:"",			//  Goods Code 		.lidgrp.rec.stagod
								spcbenflg:"",			//  Special payment conditions for beneficiary exists		.lidgrp.rec.spcbenflg
								spcrcbflg:"",			//  Special Payment Conditions for specified Bank only		.lidgrp.rec.spcrcbflg
								redclsflg:"",			//  Red/Green Clause		.lidgrp.rec.redclsflg
							},
							cbs:{
								nom1:{
									cur:"",			//  Nominal Amount		.lidgrp.cbs.nom1.cur
									amt:"0.00",			//  Nominal Amount		.lidgrp.cbs.nom1.amt
								},
								max:{
									cur:"",			//  Maximum Amount		.lidgrp.cbs.max.cur
									amt:"",			//  Maximum Amount		.lidgrp.cbs.max.amt
								},
								max2:{
									cur:"",			//  Additional Amount		.lidgrp.cbs.max2.cur
									amt:"",			//  Additional Amount		.lidgrp.cbs.max2.amt
								},
								opn2:{
									cur:"",			//  Open Add. Amount		.lidgrp.cbs.opn2.cur
									amt:"",			//  Open Add. Amount		.lidgrp.cbs.opn2.amt
								},
							},
							apl:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.apl.namelc
								adrelc:"",			//  地址		.lidgrp.apl.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.apl.dbfadrblkcn
							},
							adv:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.adv.namelc
								adrelc:"",			//  地址		.lidgrp.adv.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.adv.dbfadrblkcn
							},
							ben:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.ben.namelc
								adrelc:"",			//  地址		.lidgrp.ben.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.ben.dbfadrblkcn
							},
							blk:{
								addamtcov:"",			//  Covered		.lidgrp.blk.addamtcov
								avbwthtxt:"",			//  Available in		.lidgrp.blk.avbwthtxt
								defdet:"",			//  Deferred Payment Details		.lidgrp.blk.defdet
								dftat:"",			//  Drafts at		.lidgrp.blk.dftat
								shpper:"",			//  Shipment Period		.lidgrp.blk.shpper
								preper:"",			//  Presentation Period		.lidgrp.blk.preper
								preperflg:"",			//  Presentation Period modified		.lidgrp.blk.preperflg
								feetxt:"",			//  Additional Details to Code for Charges		.lidgrp.blk.feetxt
								mixdet:"",			//  Mixed Payment Details		.lidgrp.blk.mixdet
								lcrgod:"",			//  Description. of Goods		.lidgrp.blk.lcrgod
								lcrdoc:"",			//  Documents Required		.lidgrp.blk.lcrdoc
								adlcnd:"",			//  Additional Conditions		.lidgrp.blk.adlcnd
								insbnk:"",			//  Instructions to Pay.,		.lidgrp.blk.insbnk
								spcrcb:"",			//  Special Payment 		.lidgrp.blk.spcrcb
								spcben:"",			//  Special Payment Conditions		.lidgrp.blk.spcben
							},
							avb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.avb.namelc
								adrelc:"",			//  地址		.lidgrp.avb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.avb.dbfadrblkcn
							},
							drw:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.drw.namelc
								adrelc:"",			//  地址		.lidgrp.drw.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.drw.dbfadrblkcn
							},
							ini:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.ini.namelc
								adrelc:"",			//  地址		.lidgrp.ini.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.ini.dbfadrblkcn
							},
							rmb:{
								pts:new Pts().data,
							},
							a2b:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.a2b.namelc
								adrelc:"",			//  地址		.lidgrp.a2b.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.a2b.dbfadrblkcn
							},
							con:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.con.namelc
								adrelc:"",			//  地址		.lidgrp.con.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.con.dbfadrblkcn
							},
						},
						litp:{
							ptsaddp:{
								ptsaddg:"",
							},
							recget:{
								sdamod:{
									seainf:"",			//  		.litp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.litp.recget.sdamod.dadsnd
								},
							},
							usr:{
								extkey:"",			//  Responsible User		.litp.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.litp.usrget.sdamod.seainf
								},
							},
							aamp:{
								aammod:{
									addamtflg:"",			//  Add. Amount		.litp.aamp.aammod.addamtflg
								},
							},
							aplp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.aplp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.aplp.ptsget.sdamod.dadsnd
									},
								},
							},
							advp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.advp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.advp.ptsget.sdamod.dadsnd
									},
								},
							},
							benp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.benp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.benp.ptsget.sdamod.dadsnd
									},
								},
							},
							oppbnkl:"",			//  对手行代码		.litp.oppbnkl
							avbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.avbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.avbp.ptsget.sdamod.dadsnd
									},
								},
							},
							drwp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.drwp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.drwp.ptsget.sdamod.dadsnd
									},
								},
							},
							defdetlab:"",			//  Label DEFDET		.litp.defdetlab
							avblab:"",			//  Label Available with Bank		.litp.avblab
							inip:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.inip.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.inip.ptsget.sdamod.dadsnd
									},
								},
							},
							rmbp:{
								ptsget:{
									sdamod:{
										dadsnd:"",			//  Drag  Drop Sender		.litp.rmbp.ptsget.sdamod.dadsnd
										seainf:"",			//  		.litp.rmbp.ptsget.sdamod.seainf
									},
								},
							},
							a2bp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.a2bp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.a2bp.ptsget.sdamod.dadsnd
									},
								},
							},
							conp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.conp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.conp.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						liaall:new Pub().data.Liaall,
						setmod : new Pub().data.Setmod,
						bcbtyp1:"",			//  不在名录		.bcbtyp1
						bcbtyp2:"",			//  异地付汇		.bcbtyp2
						bcbtyp3:"",			//  转口�'�易		.bcbtyp3
						bcbtyp4:"",			//  90天以上信用证		.bcbtyp4
						bcbtyp5:"",			//  不需要		.bcbtyp5
						bcbtyp6:"",			//  其它		.bcbtyp6
						bcbtyp7:"",			//  备查表类型填写文本框		.bcbtyp7
						godnam:"",			//  �'�物简称		.godnam
						label1:"1、申请人与我行已签署贸易融资协议（如需）;",			//  国际部意见		.label1
						label2:"2、申请书要素齐全；",								  //  国际部意见		.label2
						label3:"3、申请书是否双面签章，签章已经核符；",					//  国际部意见		.label3
						label4:"4、占用授信额度的开证业务;",						   //  国际部意见		.label4
						label6:"",			//  国际部意见		.label6
						label5:"",			//  国际部意见		.label5
						bcbdat:"",			//  备案表效期		.bcbdat
						bccls1:"",			//  异地通知		.bccls1
						bccls2:"",			//  受益人为保税区企业		.bccls2
						bccls3:"",			//  运输单据抬头人为开证行，申请人不得拒付		.bccls3
						bccls4:"",			//  目的港在境外的转口贸易/境外工程业务		.bccls4
						bccls5:"",			//  起运地与目的地均为国内，属于加工贸易深加工		.bccls5
						bccls6:"",			//  非物权凭证，贸易背景真实		.bccls6
						bccls7:"",			//  超90天，已经总行贸易金融部批准办理		.bccls7
						mtabut:new Pub().data.Mtabut,
						trnmod:new Pub().data.Trnmod,
						cnybop:{
							cnyflg:"",			//  是否报送跨境人民币2101表		.cnybop.cnyflg
							traflg:"",			//  是否报送跨境人民币2107表		.cnybop.traflg
							outflg:"",			//  是否报送跨境人民币2111表		.cnybop.outflg
							libflg:"",			//  是否报送跨境人民币2106表		.cnybop.libflg
							vouflg:"",			//  是否报送跨境人民币2122表		.cnybop.vouflg
							cnylib:{
								spk:"",			//  业务主键		.cnybop.cnylib.spk
								sbankorgcode:"",			//  银行机构代码		.cnybop.cnylib.sbankorgcode
								stransattr:"",			//  业务属性		.cnybop.cnylib.stransattr
								stranstype:"",			//  业务类型		.cnybop.cnylib.stranstype
								sforbankswiftbic:"",			//  境外对手行代码		.cnybop.cnylib.sforbankswiftbic
								sorgcode:"",			//  境内企业机构代码		.cnybop.cnylib.sorgcode
								sforeigncountrycode:"",			//  境外企业国别地区代码		.cnybop.cnylib.sforeigncountrycode
								doccurdate:"",			//  业务发生日期		.cnybop.cnylib.doccurdate
								denddate:"",			//  业务到期日		.cnybop.cnylib.denddate
								dcreditenddate:"",			//  信用证到期日		.cnybop.cnylib.dcreditenddate
								famt:"",			//  金额		.cnybop.cnylib.famt
								dexchangedate:"",			//  承兑日期		.cnybop.cnylib.dexchangedate
								dexchangeenddate:"",			//  承兑到期日		.cnybop.cnylib.dexchangeenddate
								sbanktrano:"",			//  银行业务编号		.cnybop.cnylib.sbanktrano
								stermtype:"",			//  期限条件		.cnybop.cnylib.stermtype
								currencycode:"",			//  币种		.cnybop.cnylib.currencycode
							},
							sorgname:"",			//  境内企业名称		.cnybop.sorgname
							sforeignorgname:"",			//  境外企业名称		.cnybop.sforeignorgname
							saddwordlib:"",			//  交易附言		.cnybop.saddwordlib
							sbankname:"",			//  银行机构名称		.cnybop.sbankname
							fexchangeamt:"",			//  承兑金额		.cnybop.fexchangeamt
						},
						hmdmod2:{
							bennam:"",			//  交易对手名称		.hmdmod2.bennam
						},
						pageId: ""			// ctx的key
				}
    }
}